////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2005 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /    Vendor: Xilinx
// \   \   \/     Version: H.40
//  \   \         Application: netgen
//  /   /         Filename: top_timesim.v
// /___/   /\     Timestamp: Tue Jul 19 15:41:05 2005
// \   \  /  \ 
//  \___\/\___\
//             
// Command	: -w -ofmt verilog -sim top.nga top_timesim.v 
// Device	: XC2C32A-4-CP56 (Speed File: Version 12.0 Advance Product Specification)
// Input file	: top.nga
// Output file	: top_timesim.v
// # of Modules	: 1
// Design Name	: top.nga
// Xilinx	: C:/Xilinx
//             
// Purpose:    
//     This verilog netlist is a verification model and uses simulation 
//     primitives which may not represent the true implementation of the 
//     device, however the netlist is functionally correct and should not 
//     be modified. This file cannot be synthesized and should only be used 
//     with supported simulation tools.
//             
// Reference:  
//     Development System Reference Guide, Chapter 23
//     Synthesis and Verification Design Guide, Chapter 6
//             
////////////////////////////////////////////////////////////////////////////////

`timescale 1 ns/1 ps

module top (
  pld_i2c_scl, pld_i2c_rst, pld_i2c_sda, gpio_input_pins, gpio_output_pins
);
  input pld_i2c_scl;
  input pld_i2c_rst;
  inout pld_i2c_sda;
  input [1 : 0] gpio_input_pins;
  output [7 : 0] gpio_output_pins;
  wire \pld_i2c_scl_II/FCLK ;
  wire \pld_i2c_scl_II/IREG ;
  wire \FOOBAR2__ctinst/5 ;
  wire PRLD = glbl.PRLD;
  wire \i2c_module_0/start_MC_tsimcreated_prld_ ;
  wire \pld_i2c_sda_II/FCLK ;
  wire \i2c_module_0/start_MC.REG_tsimcreated_inv_pld_i2c_sda_II/FCLK ;
  wire Gnd;
  wire Vcc;
  wire \i2c_module_0/start ;
  wire \pld_i2c_rst_II/FSR ;
  wire \pld_i2c_sda_II/IREG ;
  wire \i2c_module_0/data_in<0>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/data_in<0>_MC.CE ;
  wire \gpio_input_pins<0>_II/IREG ;
  wire \i2c_module_0/gpio_input<0>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/gpio_input<0>_MC.CE ;
  wire \gpio_input_pins<1>_II/IREG ;
  wire \i2c_module_0/gpio_input<1>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/gpio_input<1>_MC.CE ;
  wire \gpio_output_pins<0>_MC.Q ;
  wire \gpio_output_pins<1>_MC.Q ;
  wire \gpio_output_pins<2>_MC.Q ;
  wire \gpio_output_pins<3>_MC.Q ;
  wire \gpio_output_pins<4>_MC.Q ;
  wire \gpio_output_pins<5>_MC.Q ;
  wire \gpio_output_pins<6>_MC.Q ;
  wire \gpio_output_pins<7>_MC.Q ;
  wire \i2c_module_0/data_in<0>_MC.Q ;
  wire \gpio_output_pins<0>_MC.Q_tsimrenamed_net_ ;
  wire \gpio_output_pins<0>_MC_tsimcreated_prld_ ;
  wire \gpio_output_pins<0>_MC.D ;
  wire \gpio_output_pins<0>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \gpio_output_pins<0>_MC.CE ;
  wire \gpio_output_pins<0>_MC.D1 ;
  wire \gpio_output_pins<0>_MC.D2 ;
  wire \i2c_module_0/latch_data_in ;
  wire \i2c_module_0/data_in<0>_MC.D ;
  wire \i2c_module_0/data_in<0>_MC.D1 ;
  wire \i2c_module_0/data_in<0>_MC.D2 ;
  wire out_en;
  wire ack_out;
  wire \i2c_module_0/data_in<0>_MC.D2_PT_0 ;
  wire sda_out;
  wire \i2c_module_0/data_in<0>_MC.D2_PT_1 ;
  wire \i2c_module_0/shift_data_in ;
  wire \i2c_module_0/shift_data_in_MC.Q ;
  wire \i2c_module_0/shift_data_in_MC.D ;
  wire \i2c_module_0/shift_data_in_MC_tsimcreated_xor_ ;
  wire \i2c_module_0/shift_data_in_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/shift_data_in_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \i2c_module_0/shift_data_in_MC.D1 ;
  wire \i2c_module_0/shift_data_in_MC.D2 ;
  wire \i2c_module_0/shift_data_in_MC.D2_PT_0 ;
  wire \i2c_module_0/shift_data_in_MC.D2_PT_1 ;
  wire \i2c_module_0/shift_data_in_MC.D2_PT_2 ;
  wire \i2c_module_0/shift_data_in_MC.D2_PT_3 ;
  wire \i2c_module_0/shift_data_in_MC.D2_PT_4 ;
  wire \i2c_module_0/shift_data_in_MC.D2_PT_5 ;
  wire \i2c_module_0/present_state<1>_MC.Q ;
  wire \i2c_module_0/present_state<1>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/present_state<1>_MC.D ;
  wire \i2c_module_0/present_state<1>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \i2c_module_0/present_state<1>_MC.D1 ;
  wire \i2c_module_0/present_state<1>_MC.D2 ;
  wire \i2c_module_0/present_state<1>_MC.D2_PT_0 ;
  wire \i2c_module_0/present_state<1>_MC.D2_PT_1 ;
  wire \i2c_module_0/present_state<1>_MC.D2_PT_2 ;
  wire \i2c_module_0/index<0>_MC.Q ;
  wire \i2c_module_0/index<0>_MC.D ;
  wire \i2c_module_0/index<0>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \i2c_module_0/index<0>_MC.D1 ;
  wire \i2c_module_0/index<0>_MC.D2 ;
  wire \i2c_module_0/index<0>_MC.D2_PT_0 ;
  wire \i2c_module_0/index<0>_MC.D2_PT_1 ;
  wire \i2c_module_0/present_state<0>_MC.Q ;
  wire \i2c_module_0/present_state<0>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/present_state<0>_MC.D ;
  wire \i2c_module_0/present_state<0>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \i2c_module_0/present_state<0>_MC.D1 ;
  wire \i2c_module_0/present_state<0>_MC.D2 ;
  wire \i2c_module_0/present_state<0>_MC.D2_PT_0 ;
  wire \i2c_module_0/present_state<0>_MC.D2_PT_1 ;
  wire \i2c_module_0/present_state<0>_MC.D2_PT_2 ;
  wire \i2c_module_0/present_state<0>_MC.D2_PT_3 ;
  wire \i2c_module_0/present_state<0>_MC.D2_PT_4 ;
  wire \i2c_module_0/data_in<1>_MC.Q ;
  wire \i2c_module_0/data_in<1>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/data_in<1>_MC.D ;
  wire \i2c_module_0/data_in<1>_MC.CE ;
  wire \i2c_module_0/data_in<1>_MC.D1 ;
  wire \i2c_module_0/data_in<1>_MC.D2 ;
  wire \i2c_module_0/data_in<2>_MC.Q ;
  wire \i2c_module_0/data_in<2>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/data_in<2>_MC.D ;
  wire \i2c_module_0/data_in<2>_MC.CE ;
  wire \i2c_module_0/data_in<2>_MC.D1 ;
  wire \i2c_module_0/data_in<2>_MC.D2 ;
  wire \i2c_module_0/data_in<3>_MC.Q ;
  wire \i2c_module_0/data_in<3>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/data_in<3>_MC.D ;
  wire \i2c_module_0/data_in<3>_MC.CE ;
  wire \i2c_module_0/data_in<3>_MC.D1 ;
  wire \i2c_module_0/data_in<3>_MC.D2 ;
  wire \i2c_module_0/data_in<4>_MC.Q ;
  wire \i2c_module_0/data_in<4>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/data_in<4>_MC.D ;
  wire \i2c_module_0/data_in<4>_MC.CE ;
  wire \i2c_module_0/data_in<4>_MC.D1 ;
  wire \i2c_module_0/data_in<4>_MC.D2 ;
  wire \i2c_module_0/data_in<5>_MC.Q ;
  wire \i2c_module_0/data_in<5>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/data_in<5>_MC.D ;
  wire \i2c_module_0/data_in<5>_MC.CE ;
  wire \i2c_module_0/data_in<5>_MC.D1 ;
  wire \i2c_module_0/data_in<5>_MC.D2 ;
  wire \i2c_module_0/data_in<6>_MC.Q ;
  wire \i2c_module_0/data_in<6>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/data_in<6>_MC.D ;
  wire \i2c_module_0/data_in<6>_MC.CE ;
  wire \i2c_module_0/data_in<6>_MC.D1 ;
  wire \i2c_module_0/data_in<6>_MC.D2 ;
  wire \i2c_module_0/data_in<7>_MC.Q ;
  wire \i2c_module_0/data_in<7>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/data_in<7>_MC.D ;
  wire \i2c_module_0/data_in<7>_MC.CE ;
  wire \i2c_module_0/data_in<7>_MC.D1 ;
  wire \i2c_module_0/data_in<7>_MC.D2 ;
  wire \i2c_module_0/index<1>_MC.Q ;
  wire \i2c_module_0/index<1>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/index<1>_MC.D ;
  wire \i2c_module_0/index<1>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \i2c_module_0/index<1>_MC.D1 ;
  wire \i2c_module_0/index<1>_MC.D2 ;
  wire \i2c_module_0/index<1>_MC.D2_PT_0 ;
  wire \i2c_module_0/index<1>_MC.D2_PT_1 ;
  wire \i2c_module_0/index<1>_MC.D2_PT_2 ;
  wire \i2c_module_0/index<1>_MC.D2_PT_3 ;
  wire \i2c_module_0/start_rst_MC.Q ;
  wire \i2c_module_0/start_rst ;
  wire \i2c_module_0/start_rst_MC.D ;
  wire \i2c_module_0/start_rst_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \i2c_module_0/start_rst_MC.D1 ;
  wire \i2c_module_0/start_rst_MC.D2 ;
  wire \i2c_module_0/index<3>_MC.Q ;
  wire \i2c_module_0/index<3>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/index<3>_MC.D ;
  wire \i2c_module_0/index<3>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \i2c_module_0/index<3>_MC.D1 ;
  wire \i2c_module_0/index<3>_MC.D2 ;
  wire \i2c_module_0/index<3>_MC.D2_PT_0 ;
  wire \i2c_module_0/index<3>_MC.D2_PT_1 ;
  wire \i2c_module_0/index<3>_MC.D2_PT_2 ;
  wire \i2c_module_0/index<3>_MC.D2_PT_3 ;
  wire \i2c_module_0/index<3>_MC.D2_PT_4 ;
  wire \i2c_module_0/index<3>_MC.D2_PT_5 ;
  wire \i2c_module_0/index<2>_MC.Q ;
  wire \i2c_module_0/index<2>_MC.D ;
  wire \i2c_module_0/index<2>_MC_tsimcreated_xor_ ;
  wire \i2c_module_0/index<2>_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/index<2>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \i2c_module_0/index<2>_MC.D1 ;
  wire \i2c_module_0/index<2>_MC.D2 ;
  wire \i2c_module_0/index<2>_MC.D2_PT_0 ;
  wire \i2c_module_0/index<2>_MC.D2_PT_1 ;
  wire \i2c_module_0/index<2>_MC.D2_PT_2 ;
  wire \i2c_module_0/index<2>_MC.D2_PT_3 ;
  wire \i2c_module_0/index<2>_MC.D2_PT_4 ;
  wire \i2c_module_0/latch_data_in_MC.Q ;
  wire \i2c_module_0/latch_data_in_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/latch_data_in_MC.D ;
  wire \i2c_module_0/latch_data_in_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \i2c_module_0/latch_data_in_MC.D1 ;
  wire \i2c_module_0/latch_data_in_MC.D2 ;
  wire \gpio_output_pins<1>_MC.Q_tsimrenamed_net_ ;
  wire \gpio_output_pins<1>_MC_tsimcreated_prld_ ;
  wire \gpio_output_pins<1>_MC.D ;
  wire \gpio_output_pins<1>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \gpio_output_pins<1>_MC.CE ;
  wire \gpio_output_pins<1>_MC.D1 ;
  wire \gpio_output_pins<1>_MC.D2 ;
  wire \gpio_output_pins<2>_MC.Q_tsimrenamed_net_ ;
  wire \gpio_output_pins<2>_MC_tsimcreated_prld_ ;
  wire \gpio_output_pins<2>_MC.D ;
  wire \gpio_output_pins<2>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \gpio_output_pins<2>_MC.CE ;
  wire \gpio_output_pins<2>_MC.D1 ;
  wire \gpio_output_pins<2>_MC.D2 ;
  wire \gpio_output_pins<3>_MC.Q_tsimrenamed_net_ ;
  wire \gpio_output_pins<3>_MC_tsimcreated_prld_ ;
  wire \gpio_output_pins<3>_MC.D ;
  wire \gpio_output_pins<3>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \gpio_output_pins<3>_MC.CE ;
  wire \gpio_output_pins<3>_MC.D1 ;
  wire \gpio_output_pins<3>_MC.D2 ;
  wire \gpio_output_pins<4>_MC.Q_tsimrenamed_net_ ;
  wire \gpio_output_pins<4>_MC_tsimcreated_prld_ ;
  wire \gpio_output_pins<4>_MC.D ;
  wire \gpio_output_pins<4>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \gpio_output_pins<4>_MC.CE ;
  wire \gpio_output_pins<4>_MC.D1 ;
  wire \gpio_output_pins<4>_MC.D2 ;
  wire \gpio_output_pins<5>_MC.Q_tsimrenamed_net_ ;
  wire \gpio_output_pins<5>_MC_tsimcreated_prld_ ;
  wire \gpio_output_pins<5>_MC.D ;
  wire \gpio_output_pins<5>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \gpio_output_pins<5>_MC.CE ;
  wire \gpio_output_pins<5>_MC.D1 ;
  wire \gpio_output_pins<5>_MC.D2 ;
  wire \gpio_output_pins<6>_MC.Q_tsimrenamed_net_ ;
  wire \gpio_output_pins<6>_MC_tsimcreated_prld_ ;
  wire \gpio_output_pins<6>_MC.D ;
  wire \gpio_output_pins<6>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \gpio_output_pins<6>_MC.CE ;
  wire \gpio_output_pins<6>_MC.D1 ;
  wire \gpio_output_pins<6>_MC.D2 ;
  wire \gpio_output_pins<7>_MC.Q_tsimrenamed_net_ ;
  wire \gpio_output_pins<7>_MC_tsimcreated_prld_ ;
  wire \gpio_output_pins<7>_MC.D ;
  wire \gpio_output_pins<7>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \gpio_output_pins<7>_MC.CE ;
  wire \gpio_output_pins<7>_MC.D1 ;
  wire \gpio_output_pins<7>_MC.D2 ;
  wire \out_en_MC.Q ;
  wire \out_en_MC.D ;
  wire out_en_MC_tsimcreated_xor_;
  wire out_en_MC_tsimcreated_prld_;
  wire \out_en_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \out_en_MC.D1 ;
  wire \out_en_MC.D2 ;
  wire \out_en_MC.D2_PT_0 ;
  wire \out_en_MC.D2_PT_1 ;
  wire \out_en_MC.D2_PT_2 ;
  wire \ack_out_MC.Q ;
  wire ack_out_MC_tsimcreated_prld_;
  wire \ack_out_MC.D ;
  wire \ack_out_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \ack_out_MC.D1 ;
  wire \ack_out_MC.D2 ;
  wire \ack_out_MC.D2_PT_0 ;
  wire \ack_out_MC.D2_PT_1 ;
  wire \sda_out_MC.Q ;
  wire \sda_out_MC.D ;
  wire \sda_out_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \sda_out_MC.D1 ;
  wire \sda_out_MC.D2 ;
  wire \sda_out_MC.D2_PT_0 ;
  wire \sda_out_MC.D2_PT_1 ;
  wire \sda_out_MC.D2_PT_2 ;
  wire \i2c_module_0/latch_data_out ;
  wire \i2c_module_0/latch_data_out_MC.Q ;
  wire \i2c_module_0/latch_data_out_MC_tsimcreated_prld_ ;
  wire \i2c_module_0/latch_data_out_MC.D ;
  wire \i2c_module_0/latch_data_out_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ;
  wire \i2c_module_0/latch_data_out_MC.D1 ;
  wire \i2c_module_0/latch_data_out_MC.D2 ;
  wire \NlwInverterSignal_pld_i2c_sda/CTL ;
  wire \NlwInverterSignal_i2c_module_0/data_in<0>_MC.D2_PT_0/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/data_in<0>_MC.D2_PT_0/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/data_in<0>_MC.D2_PT_1/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_0/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_1/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_1/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_2/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_2/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_2/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_3/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_3/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_3/IN4 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_3/IN6 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN4 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN6 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN6 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN8 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN9 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN12 ;
  wire \NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN14 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_0/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_0/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_1/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_1/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_1/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_1/IN4 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN4 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN6 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN7 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN10 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN12 ;
  wire \NlwInverterSignal_i2c_module_0/index<0>_MC.D/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_0/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_0/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_1/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_1/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_1/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_1/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_2/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_2/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_2/IN4 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN4 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN7 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN9 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN4 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN5 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN8 ;
  wire \NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN10 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_0/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_0/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_0/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_1/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_1/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_1/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_2/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_2/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_2/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_2/IN4 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_3/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_3/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_3/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_3/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_0/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_0/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_0/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_0/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_1/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_1/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_1/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_1/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_2/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_2/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_2/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_2/IN4 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_3/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_3/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_4/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_4/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_4/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_4/IN5 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN4 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN5 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN8 ;
  wire \NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN10 ;
  wire \NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_3/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_3/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_4/IN0 ;
  wire \NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_4/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_4/IN2 ;
  wire \NlwInverterSignal_i2c_module_0/latch_data_in_MC.D1/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/latch_data_in_MC.D1/IN4 ;
  wire \NlwInverterSignal_out_en_MC.D2_PT_0/IN1 ;
  wire \NlwInverterSignal_out_en_MC.D2_PT_0/IN2 ;
  wire \NlwInverterSignal_out_en_MC.D2_PT_1/IN3 ;
  wire \NlwInverterSignal_out_en_MC.D2_PT_1/IN4 ;
  wire \NlwInverterSignal_out_en_MC.D2_PT_1/IN6 ;
  wire \NlwInverterSignal_out_en_MC.D2_PT_2/IN1 ;
  wire \NlwInverterSignal_out_en_MC.D2_PT_2/IN2 ;
  wire \NlwInverterSignal_out_en_MC.D2_PT_2/IN3 ;
  wire \NlwInverterSignal_out_en_MC.D2_PT_2/IN6 ;
  wire \NlwInverterSignal_out_en_MC.D2_PT_2/IN8 ;
  wire \NlwInverterSignal_out_en_MC.D2_PT_2/IN9 ;
  wire \NlwInverterSignal_out_en_MC.D2_PT_2/IN12 ;
  wire \NlwInverterSignal_out_en_MC.D2_PT_2/IN14 ;
  wire \NlwInverterSignal_ack_out_MC.D2_PT_0/IN1 ;
  wire \NlwInverterSignal_ack_out_MC.D2_PT_0/IN2 ;
  wire \NlwInverterSignal_ack_out_MC.D2_PT_0/IN3 ;
  wire \NlwInverterSignal_ack_out_MC.D2_PT_0/IN5 ;
  wire \NlwInverterSignal_ack_out_MC.D2_PT_1/IN0 ;
  wire \NlwInverterSignal_ack_out_MC.D2_PT_1/IN2 ;
  wire \NlwInverterSignal_ack_out_MC.D2_PT_1/IN3 ;
  wire \NlwInverterSignal_ack_out_MC.D2_PT_1/IN5 ;
  wire \NlwInverterSignal_ack_out_MC.D2_PT_1/IN6 ;
  wire \NlwInverterSignal_ack_out_MC.D2_PT_1/IN9 ;
  wire \NlwInverterSignal_ack_out_MC.D2_PT_1/IN11 ;
  wire \NlwInverterSignal_sda_out_MC.D/IN0 ;
  wire \NlwInverterSignal_sda_out_MC.D2_PT_0/IN0 ;
  wire \NlwInverterSignal_sda_out_MC.D2_PT_0/IN1 ;
  wire \NlwInverterSignal_sda_out_MC.D2_PT_1/IN3 ;
  wire \NlwInverterSignal_sda_out_MC.D2_PT_1/IN5 ;
  wire \NlwInverterSignal_sda_out_MC.D2_PT_2/IN1 ;
  wire \NlwInverterSignal_sda_out_MC.D2_PT_2/IN3 ;
  wire \NlwInverterSignal_sda_out_MC.D2_PT_2/IN5 ;
  wire \NlwInverterSignal_i2c_module_0/latch_data_out_MC.D1/IN1 ;
  wire \NlwInverterSignal_i2c_module_0/latch_data_out_MC.D1/IN3 ;
  wire \NlwInverterSignal_i2c_module_0/latch_data_out_MC.D1/IN4 ;
  wire \NlwInverterSignal_i2c_module_0/latch_data_out_MC.D1/IN6 ;
  wire [7 : 0] \i2c_module_0/data_in ;
  wire [1 : 0] \i2c_module_0/gpio_input ;
  wire [1 : 0] \i2c_module_0/present_state ;
  wire [3 : 0] \i2c_module_0/index ;
  initial $sdf_annotate("top_timesim.sdf");
  X_IPAD \pld_i2c_scl.PAD  (
    .PAD(pld_i2c_scl)
  );
  X_BUF \pld_i2c_scl_II/FCLK_0  (
    .I(pld_i2c_scl),
    .O(\pld_i2c_scl_II/FCLK )
  );
  X_BUF \pld_i2c_scl_II/IREG_1  (
    .I(pld_i2c_scl),
    .O(\pld_i2c_scl_II/IREG )
  );
  X_OR2 \i2c_module_0/start_MC_tsimcreated_prld__2  (
    .I0(\FOOBAR2__ctinst/5 ),
    .I1(PRLD),
    .O(\i2c_module_0/start_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/start_MC.REG  (
    .I(\pld_i2c_scl_II/IREG ),
    .CE(Vcc),
    .CLK(\i2c_module_0/start_MC.REG_tsimcreated_inv_pld_i2c_sda_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/start_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/start )
  );
  X_INV \i2c_module_0/start_MC.REG_tsimcreated_inv_pld_i2c_sda_II/FCLK_3  (
    .I(\pld_i2c_sda_II/FCLK ),
    .O(\i2c_module_0/start_MC.REG_tsimcreated_inv_pld_i2c_sda_II/FCLK )
  );
  X_ZERO Gnd_4 (
    .O(Gnd)
  );
  X_ONE Vcc_5 (
    .O(Vcc)
  );
  X_IPAD \pld_i2c_rst.PAD  (
    .PAD(pld_i2c_rst)
  );
  X_BUF \pld_i2c_rst_II/FSR_6  (
    .I(pld_i2c_rst),
    .O(\pld_i2c_rst_II/FSR )
  );
  X_BUF \pld_i2c_sda_II/FCLK_7  (
    .I(pld_i2c_sda),
    .O(\pld_i2c_sda_II/FCLK )
  );
  X_BUF \pld_i2c_sda_II/IREG_8  (
    .I(pld_i2c_sda),
    .O(\pld_i2c_sda_II/IREG )
  );
  X_OR2 \i2c_module_0/data_in<0>_MC_tsimcreated_prld__9  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/data_in<0>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/data_in<0>_MC.REG  (
    .I(\pld_i2c_sda_II/IREG ),
    .CE(\i2c_module_0/data_in<0>_MC.CE ),
    .CLK(\pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/data_in<0>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/data_in [0])
  );
  X_IPAD \gpio_input_pins<0>.PAD  (
    .PAD(gpio_input_pins[0])
  );
  X_BUF \gpio_input_pins<0>_II/IREG_10  (
    .I(gpio_input_pins[0]),
    .O(\gpio_input_pins<0>_II/IREG )
  );
  X_OR2 \i2c_module_0/gpio_input<0>_MC_tsimcreated_prld__11  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/gpio_input<0>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/gpio_input<0>_MC.REG  (
    .I(\gpio_input_pins<0>_II/IREG ),
    .CE(\i2c_module_0/gpio_input<0>_MC.CE ),
    .CLK(\pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/gpio_input<0>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/gpio_input [0])
  );
  X_IPAD \gpio_input_pins<1>.PAD  (
    .PAD(gpio_input_pins[1])
  );
  X_BUF \gpio_input_pins<1>_II/IREG_12  (
    .I(gpio_input_pins[1]),
    .O(\gpio_input_pins<1>_II/IREG )
  );
  X_OR2 \i2c_module_0/gpio_input<1>_MC_tsimcreated_prld__13  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/gpio_input<1>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/gpio_input<1>_MC.REG  (
    .I(\gpio_input_pins<1>_II/IREG ),
    .CE(\i2c_module_0/gpio_input<1>_MC.CE ),
    .CLK(\pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/gpio_input<1>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/gpio_input [1])
  );
  X_OPAD \gpio_output_pins<0>.PAD  (
    .PAD(gpio_output_pins[0])
  );
  X_BUF \gpio_output_pins<0>  (
    .I(\gpio_output_pins<0>_MC.Q ),
    .O(gpio_output_pins[0])
  );
  X_OPAD \gpio_output_pins<1>.PAD  (
    .PAD(gpio_output_pins[1])
  );
  X_BUF \gpio_output_pins<1>  (
    .I(\gpio_output_pins<1>_MC.Q ),
    .O(gpio_output_pins[1])
  );
  X_OPAD \gpio_output_pins<2>.PAD  (
    .PAD(gpio_output_pins[2])
  );
  X_BUF \gpio_output_pins<2>  (
    .I(\gpio_output_pins<2>_MC.Q ),
    .O(gpio_output_pins[2])
  );
  X_OPAD \gpio_output_pins<3>.PAD  (
    .PAD(gpio_output_pins[3])
  );
  X_BUF \gpio_output_pins<3>  (
    .I(\gpio_output_pins<3>_MC.Q ),
    .O(gpio_output_pins[3])
  );
  X_OPAD \gpio_output_pins<4>.PAD  (
    .PAD(gpio_output_pins[4])
  );
  X_BUF \gpio_output_pins<4>  (
    .I(\gpio_output_pins<4>_MC.Q ),
    .O(gpio_output_pins[4])
  );
  X_OPAD \gpio_output_pins<5>.PAD  (
    .PAD(gpio_output_pins[5])
  );
  X_BUF \gpio_output_pins<5>  (
    .I(\gpio_output_pins<5>_MC.Q ),
    .O(gpio_output_pins[5])
  );
  X_OPAD \gpio_output_pins<6>.PAD  (
    .PAD(gpio_output_pins[6])
  );
  X_BUF \gpio_output_pins<6>  (
    .I(\gpio_output_pins<6>_MC.Q ),
    .O(gpio_output_pins[6])
  );
  X_OPAD \gpio_output_pins<7>.PAD  (
    .PAD(gpio_output_pins[7])
  );
  X_BUF \gpio_output_pins<7>  (
    .I(\gpio_output_pins<7>_MC.Q ),
    .O(gpio_output_pins[7])
  );
  X_BPAD \pld_i2c_sda.PAD  (
    .PAD(pld_i2c_sda)
  );
  X_TRI pld_i2c_sda_14 (
    .I(Gnd),
    .CTL(\NlwInverterSignal_pld_i2c_sda/CTL ),
    .O(pld_i2c_sda)
  );
  X_BUF \gpio_output_pins<0>_MC.Q_15  (
    .I(\gpio_output_pins<0>_MC.Q_tsimrenamed_net_ ),
    .O(\gpio_output_pins<0>_MC.Q )
  );
  X_OR2 \gpio_output_pins<0>_MC_tsimcreated_prld__16  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\gpio_output_pins<0>_MC_tsimcreated_prld_ )
  );
  X_FF \gpio_output_pins<0>_MC.REG  (
    .I(\gpio_output_pins<0>_MC.D ),
    .CE(\gpio_output_pins<0>_MC.CE ),
    .CLK(\gpio_output_pins<0>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\gpio_output_pins<0>_MC_tsimcreated_prld_ ),
    .O(\gpio_output_pins<0>_MC.Q_tsimrenamed_net_ )
  );
  X_INV \gpio_output_pins<0>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_17  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\gpio_output_pins<0>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \gpio_output_pins<0>_MC.D_18  (
    .I0(\gpio_output_pins<0>_MC.D1 ),
    .I1(\gpio_output_pins<0>_MC.D2 ),
    .O(\gpio_output_pins<0>_MC.D )
  );
  X_ZERO \gpio_output_pins<0>_MC.D1_19  (
    .O(\gpio_output_pins<0>_MC.D1 )
  );
  X_AND2 \gpio_output_pins<0>_MC.D2_20  (
    .I0(\i2c_module_0/data_in [0]),
    .I1(\i2c_module_0/data_in [0]),
    .O(\gpio_output_pins<0>_MC.D2 )
  );
  X_AND2 \gpio_output_pins<0>_MC.CE_21  (
    .I0(\i2c_module_0/latch_data_in ),
    .I1(\i2c_module_0/latch_data_in ),
    .O(\gpio_output_pins<0>_MC.CE )
  );
  X_BUF \i2c_module_0/data_in<0>_MC.Q_22  (
    .I(\i2c_module_0/data_in<0>_MC.D ),
    .O(\i2c_module_0/data_in<0>_MC.Q )
  );
  X_XOR2 \i2c_module_0/data_in<0>_MC.D_23  (
    .I0(\i2c_module_0/data_in<0>_MC.D1 ),
    .I1(\i2c_module_0/data_in<0>_MC.D2 ),
    .O(\i2c_module_0/data_in<0>_MC.D )
  );
  X_ZERO \i2c_module_0/data_in<0>_MC.D1_24  (
    .O(\i2c_module_0/data_in<0>_MC.D1 )
  );
  X_AND2 \i2c_module_0/data_in<0>_MC.D2_PT_0_25  (
    .I0(\NlwInverterSignal_i2c_module_0/data_in<0>_MC.D2_PT_0/IN0 ),
    .I1(\NlwInverterSignal_i2c_module_0/data_in<0>_MC.D2_PT_0/IN1 ),
    .O(\i2c_module_0/data_in<0>_MC.D2_PT_0 )
  );
  X_AND2 \i2c_module_0/data_in<0>_MC.D2_PT_1_26  (
    .I0(\NlwInverterSignal_i2c_module_0/data_in<0>_MC.D2_PT_1/IN0 ),
    .I1(sda_out),
    .O(\i2c_module_0/data_in<0>_MC.D2_PT_1 )
  );
  X_OR2 \i2c_module_0/data_in<0>_MC.D2_27  (
    .I0(\i2c_module_0/data_in<0>_MC.D2_PT_0 ),
    .I1(\i2c_module_0/data_in<0>_MC.D2_PT_1 ),
    .O(\i2c_module_0/data_in<0>_MC.D2 )
  );
  X_AND2 \i2c_module_0/data_in<0>_MC.CE_28  (
    .I0(\i2c_module_0/shift_data_in ),
    .I1(\i2c_module_0/shift_data_in ),
    .O(\i2c_module_0/data_in<0>_MC.CE )
  );
  X_BUF \i2c_module_0/shift_data_in_29  (
    .I(\i2c_module_0/shift_data_in_MC.Q ),
    .O(\i2c_module_0/shift_data_in )
  );
  X_XOR2 \i2c_module_0/shift_data_in_MC_tsimcreated_xor__30  (
    .I0(\i2c_module_0/shift_data_in_MC.D ),
    .I1(\i2c_module_0/shift_data_in_MC.Q ),
    .O(\i2c_module_0/shift_data_in_MC_tsimcreated_xor_ )
  );
  X_OR2 \i2c_module_0/shift_data_in_MC_tsimcreated_prld__31  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/shift_data_in_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/shift_data_in_MC.REG  (
    .I(\i2c_module_0/shift_data_in_MC_tsimcreated_xor_ ),
    .CE(Vcc),
    .CLK(\i2c_module_0/shift_data_in_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/shift_data_in_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/shift_data_in_MC.Q )
  );
  X_INV \i2c_module_0/shift_data_in_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_32  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\i2c_module_0/shift_data_in_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \i2c_module_0/shift_data_in_MC.D_33  (
    .I0(\i2c_module_0/shift_data_in_MC.D1 ),
    .I1(\i2c_module_0/shift_data_in_MC.D2 ),
    .O(\i2c_module_0/shift_data_in_MC.D )
  );
  X_ZERO \i2c_module_0/shift_data_in_MC.D1_34  (
    .O(\i2c_module_0/shift_data_in_MC.D1 )
  );
  X_AND3 \i2c_module_0/shift_data_in_MC.D2_PT_0_35  (
    .I0(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_0/IN0 ),
    .I1(\i2c_module_0/present_state [1]),
    .I2(\i2c_module_0/start ),
    .O(\i2c_module_0/shift_data_in_MC.D2_PT_0 )
  );
  X_AND3 \i2c_module_0/shift_data_in_MC.D2_PT_1_36  (
    .I0(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_1/IN0 ),
    .I1(\i2c_module_0/start ),
    .I2(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_1/IN2 ),
    .O(\i2c_module_0/shift_data_in_MC.D2_PT_1 )
  );
  X_AND4 \i2c_module_0/shift_data_in_MC.D2_PT_2_37  (
    .I0(\i2c_module_0/shift_data_in ),
    .I1(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_2/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_2/IN2 ),
    .I3(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_2/IN3 ),
    .O(\i2c_module_0/shift_data_in_MC.D2_PT_2 )
  );
  X_AND7 \i2c_module_0/shift_data_in_MC.D2_PT_3_38  (
    .I0(\i2c_module_0/shift_data_in ),
    .I1(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_3/IN1 ),
    .I2(\i2c_module_0/present_state [0]),
    .I3(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_3/IN3 ),
    .I4(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_3/IN4 ),
    .I5(\i2c_module_0/index [3]),
    .I6(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_3/IN6 ),
    .O(\i2c_module_0/shift_data_in_MC.D2_PT_3 )
  );
  X_AND7 \i2c_module_0/shift_data_in_MC.D2_PT_4_39  (
    .I0(\i2c_module_0/shift_data_in ),
    .I1(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN2 ),
    .I3(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN3 ),
    .I4(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN4 ),
    .I5(\i2c_module_0/index [3]),
    .I6(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN6 ),
    .O(\i2c_module_0/shift_data_in_MC.D2_PT_4 )
  );
  X_AND16 \i2c_module_0/shift_data_in_MC.D2_PT_5_40  (
    .I0(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN0 ),
    .I1(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN2 ),
    .I3(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN3 ),
    .I4(\i2c_module_0/present_state [0]),
    .I5(\i2c_module_0/index [0]),
    .I6(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN6 ),
    .I7(\i2c_module_0/index [3]),
    .I8(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN8 ),
    .I9(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN9 ),
    .I10(\i2c_module_0/data_in [2]),
    .I11(\i2c_module_0/data_in [3]),
    .I12(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN12 ),
    .I13(\i2c_module_0/data_in [5]),
    .I14(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN14 ),
    .I15(\i2c_module_0/data_in [7]),
    .O(\i2c_module_0/shift_data_in_MC.D2_PT_5 )
  );
  X_OR6 \i2c_module_0/shift_data_in_MC.D2_41  (
    .I0(\i2c_module_0/shift_data_in_MC.D2_PT_0 ),
    .I1(\i2c_module_0/shift_data_in_MC.D2_PT_1 ),
    .I2(\i2c_module_0/shift_data_in_MC.D2_PT_2 ),
    .I3(\i2c_module_0/shift_data_in_MC.D2_PT_3 ),
    .I4(\i2c_module_0/shift_data_in_MC.D2_PT_4 ),
    .I5(\i2c_module_0/shift_data_in_MC.D2_PT_5 ),
    .O(\i2c_module_0/shift_data_in_MC.D2 )
  );
  X_BUF \i2c_module_0/present_state<1>  (
    .I(\i2c_module_0/present_state<1>_MC.Q ),
    .O(\i2c_module_0/present_state [1])
  );
  X_OR2 \i2c_module_0/present_state<1>_MC_tsimcreated_prld__42  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/present_state<1>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/present_state<1>_MC.REG  (
    .I(\i2c_module_0/present_state<1>_MC.D ),
    .CE(Vcc),
    .CLK(\i2c_module_0/present_state<1>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/present_state<1>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/present_state<1>_MC.Q )
  );
  X_INV \i2c_module_0/present_state<1>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_43  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\i2c_module_0/present_state<1>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \i2c_module_0/present_state<1>_MC.D_44  (
    .I0(\i2c_module_0/present_state<1>_MC.D1 ),
    .I1(\i2c_module_0/present_state<1>_MC.D2 ),
    .O(\i2c_module_0/present_state<1>_MC.D )
  );
  X_ZERO \i2c_module_0/present_state<1>_MC.D1_45  (
    .O(\i2c_module_0/present_state<1>_MC.D1 )
  );
  X_AND3 \i2c_module_0/present_state<1>_MC.D2_PT_0_46  (
    .I0(\i2c_module_0/present_state [1]),
    .I1(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_0/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_0/IN2 ),
    .O(\i2c_module_0/present_state<1>_MC.D2_PT_0 )
  );
  X_AND5 \i2c_module_0/present_state<1>_MC.D2_PT_1_47  (
    .I0(\i2c_module_0/present_state [1]),
    .I1(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_1/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_1/IN2 ),
    .I3(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_1/IN3 ),
    .I4(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_1/IN4 ),
    .O(\i2c_module_0/present_state<1>_MC.D2_PT_1 )
  );
  X_AND16 \i2c_module_0/present_state<1>_MC.D2_PT_2_48  (
    .I0(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN0 ),
    .I1(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN1 ),
    .I2(\i2c_module_0/present_state [0]),
    .I3(\i2c_module_0/index [0]),
    .I4(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN4 ),
    .I5(\i2c_module_0/index [3]),
    .I6(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN6 ),
    .I7(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN7 ),
    .I8(\i2c_module_0/data_in [2]),
    .I9(\i2c_module_0/data_in [3]),
    .I10(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN10 ),
    .I11(\i2c_module_0/data_in [5]),
    .I12(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN12 ),
    .I13(\i2c_module_0/data_in [7]),
    .I14(Vcc),
    .I15(Vcc),
    .O(\i2c_module_0/present_state<1>_MC.D2_PT_2 )
  );
  X_OR3 \i2c_module_0/present_state<1>_MC.D2_49  (
    .I0(\i2c_module_0/present_state<1>_MC.D2_PT_0 ),
    .I1(\i2c_module_0/present_state<1>_MC.D2_PT_1 ),
    .I2(\i2c_module_0/present_state<1>_MC.D2_PT_2 ),
    .O(\i2c_module_0/present_state<1>_MC.D2 )
  );
  X_BUF \i2c_module_0/index<0>  (
    .I(\i2c_module_0/index<0>_MC.Q ),
    .O(\i2c_module_0/index [0])
  );
  X_FF \i2c_module_0/index<0>_MC.REG  (
    .I(\i2c_module_0/index<0>_MC.D ),
    .CE(Vcc),
    .CLK(\i2c_module_0/index<0>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(\pld_i2c_rst_II/FSR ),
    .RST(PRLD),
    .O(\i2c_module_0/index<0>_MC.Q )
  );
  X_INV \i2c_module_0/index<0>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_50  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\i2c_module_0/index<0>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \i2c_module_0/index<0>_MC.D_51  (
    .I0(\NlwInverterSignal_i2c_module_0/index<0>_MC.D/IN0 ),
    .I1(\i2c_module_0/index<0>_MC.D2 ),
    .O(\i2c_module_0/index<0>_MC.D )
  );
  X_ZERO \i2c_module_0/index<0>_MC.D1_52  (
    .O(\i2c_module_0/index<0>_MC.D1 )
  );
  X_AND3 \i2c_module_0/index<0>_MC.D2_PT_0_53  (
    .I0(\NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_0/IN0 ),
    .I1(\i2c_module_0/index [0]),
    .I2(\NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_0/IN2 ),
    .O(\i2c_module_0/index<0>_MC.D2_PT_0 )
  );
  X_AND4 \i2c_module_0/index<0>_MC.D2_PT_1_54  (
    .I0(\NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_1/IN0 ),
    .I1(\NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_1/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_1/IN2 ),
    .I3(\i2c_module_0/index [0]),
    .O(\i2c_module_0/index<0>_MC.D2_PT_1 )
  );
  X_OR2 \i2c_module_0/index<0>_MC.D2_55  (
    .I0(\i2c_module_0/index<0>_MC.D2_PT_0 ),
    .I1(\i2c_module_0/index<0>_MC.D2_PT_1 ),
    .O(\i2c_module_0/index<0>_MC.D2 )
  );
  X_BUF \i2c_module_0/present_state<0>  (
    .I(\i2c_module_0/present_state<0>_MC.Q ),
    .O(\i2c_module_0/present_state [0])
  );
  X_OR2 \i2c_module_0/present_state<0>_MC_tsimcreated_prld__56  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/present_state<0>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/present_state<0>_MC.REG  (
    .I(\i2c_module_0/present_state<0>_MC.D ),
    .CE(Vcc),
    .CLK(\i2c_module_0/present_state<0>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/present_state<0>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/present_state<0>_MC.Q )
  );
  X_INV \i2c_module_0/present_state<0>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_57  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\i2c_module_0/present_state<0>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \i2c_module_0/present_state<0>_MC.D_58  (
    .I0(\i2c_module_0/present_state<0>_MC.D1 ),
    .I1(\i2c_module_0/present_state<0>_MC.D2 ),
    .O(\i2c_module_0/present_state<0>_MC.D )
  );
  X_ZERO \i2c_module_0/present_state<0>_MC.D1_59  (
    .O(\i2c_module_0/present_state<0>_MC.D1 )
  );
  X_AND2 \i2c_module_0/present_state<0>_MC.D2_PT_0_60  (
    .I0(\i2c_module_0/start ),
    .I1(\i2c_module_0/start ),
    .O(\i2c_module_0/present_state<0>_MC.D2_PT_0 )
  );
  X_AND2 \i2c_module_0/present_state<0>_MC.D2_PT_1_61  (
    .I0(\i2c_module_0/present_state [0]),
    .I1(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_1/IN1 ),
    .O(\i2c_module_0/present_state<0>_MC.D2_PT_1 )
  );
  X_AND5 \i2c_module_0/present_state<0>_MC.D2_PT_2_62  (
    .I0(\i2c_module_0/present_state [1]),
    .I1(\i2c_module_0/present_state [0]),
    .I2(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_2/IN2 ),
    .I3(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_2/IN3 ),
    .I4(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_2/IN4 ),
    .O(\i2c_module_0/present_state<0>_MC.D2_PT_2 )
  );
  X_AND16 \i2c_module_0/present_state<0>_MC.D2_PT_3_63  (
    .I0(\i2c_module_0/present_state [0]),
    .I1(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN2 ),
    .I3(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN3 ),
    .I4(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN4 ),
    .I5(\i2c_module_0/data_in [2]),
    .I6(\i2c_module_0/data_in [3]),
    .I7(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN7 ),
    .I8(\i2c_module_0/data_in [5]),
    .I9(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN9 ),
    .I10(\i2c_module_0/data_in [7]),
    .I11(Vcc),
    .I12(Vcc),
    .I13(Vcc),
    .I14(Vcc),
    .I15(Vcc),
    .O(\i2c_module_0/present_state<0>_MC.D2_PT_3 )
  );
  X_AND16 \i2c_module_0/present_state<0>_MC.D2_PT_4_64  (
    .I0(\i2c_module_0/data_in [0]),
    .I1(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN1 ),
    .I2(\i2c_module_0/present_state [0]),
    .I3(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN3 ),
    .I4(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN4 ),
    .I5(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN5 ),
    .I6(\i2c_module_0/data_in [2]),
    .I7(\i2c_module_0/data_in [3]),
    .I8(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN8 ),
    .I9(\i2c_module_0/data_in [5]),
    .I10(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN10 ),
    .I11(\i2c_module_0/data_in [7]),
    .I12(Vcc),
    .I13(Vcc),
    .I14(Vcc),
    .I15(Vcc),
    .O(\i2c_module_0/present_state<0>_MC.D2_PT_4 )
  );
  X_OR5 \i2c_module_0/present_state<0>_MC.D2_65  (
    .I0(\i2c_module_0/present_state<0>_MC.D2_PT_0 ),
    .I1(\i2c_module_0/present_state<0>_MC.D2_PT_1 ),
    .I2(\i2c_module_0/present_state<0>_MC.D2_PT_2 ),
    .I3(\i2c_module_0/present_state<0>_MC.D2_PT_3 ),
    .I4(\i2c_module_0/present_state<0>_MC.D2_PT_4 ),
    .O(\i2c_module_0/present_state<0>_MC.D2 )
  );
  X_BUF \i2c_module_0/data_in<1>  (
    .I(\i2c_module_0/data_in<1>_MC.Q ),
    .O(\i2c_module_0/data_in [1])
  );
  X_OR2 \i2c_module_0/data_in<1>_MC_tsimcreated_prld__66  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/data_in<1>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/data_in<1>_MC.REG  (
    .I(\i2c_module_0/data_in<1>_MC.D ),
    .CE(\i2c_module_0/data_in<1>_MC.CE ),
    .CLK(\pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/data_in<1>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/data_in<1>_MC.Q )
  );
  X_XOR2 \i2c_module_0/data_in<1>_MC.D_67  (
    .I0(\i2c_module_0/data_in<1>_MC.D1 ),
    .I1(\i2c_module_0/data_in<1>_MC.D2 ),
    .O(\i2c_module_0/data_in<1>_MC.D )
  );
  X_ZERO \i2c_module_0/data_in<1>_MC.D1_68  (
    .O(\i2c_module_0/data_in<1>_MC.D1 )
  );
  X_AND2 \i2c_module_0/data_in<1>_MC.D2_69  (
    .I0(\i2c_module_0/data_in [0]),
    .I1(\i2c_module_0/data_in [0]),
    .O(\i2c_module_0/data_in<1>_MC.D2 )
  );
  X_AND2 \i2c_module_0/data_in<1>_MC.CE_70  (
    .I0(\i2c_module_0/shift_data_in ),
    .I1(\i2c_module_0/shift_data_in ),
    .O(\i2c_module_0/data_in<1>_MC.CE )
  );
  X_BUF \i2c_module_0/data_in<2>  (
    .I(\i2c_module_0/data_in<2>_MC.Q ),
    .O(\i2c_module_0/data_in [2])
  );
  X_OR2 \i2c_module_0/data_in<2>_MC_tsimcreated_prld__71  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/data_in<2>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/data_in<2>_MC.REG  (
    .I(\i2c_module_0/data_in<2>_MC.D ),
    .CE(\i2c_module_0/data_in<2>_MC.CE ),
    .CLK(\pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/data_in<2>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/data_in<2>_MC.Q )
  );
  X_XOR2 \i2c_module_0/data_in<2>_MC.D_72  (
    .I0(\i2c_module_0/data_in<2>_MC.D1 ),
    .I1(\i2c_module_0/data_in<2>_MC.D2 ),
    .O(\i2c_module_0/data_in<2>_MC.D )
  );
  X_ZERO \i2c_module_0/data_in<2>_MC.D1_73  (
    .O(\i2c_module_0/data_in<2>_MC.D1 )
  );
  X_AND2 \i2c_module_0/data_in<2>_MC.D2_74  (
    .I0(\i2c_module_0/data_in [1]),
    .I1(\i2c_module_0/data_in [1]),
    .O(\i2c_module_0/data_in<2>_MC.D2 )
  );
  X_AND2 \i2c_module_0/data_in<2>_MC.CE_75  (
    .I0(\i2c_module_0/shift_data_in ),
    .I1(\i2c_module_0/shift_data_in ),
    .O(\i2c_module_0/data_in<2>_MC.CE )
  );
  X_BUF \i2c_module_0/data_in<3>  (
    .I(\i2c_module_0/data_in<3>_MC.Q ),
    .O(\i2c_module_0/data_in [3])
  );
  X_OR2 \i2c_module_0/data_in<3>_MC_tsimcreated_prld__76  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/data_in<3>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/data_in<3>_MC.REG  (
    .I(\i2c_module_0/data_in<3>_MC.D ),
    .CE(\i2c_module_0/data_in<3>_MC.CE ),
    .CLK(\pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/data_in<3>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/data_in<3>_MC.Q )
  );
  X_XOR2 \i2c_module_0/data_in<3>_MC.D_77  (
    .I0(\i2c_module_0/data_in<3>_MC.D1 ),
    .I1(\i2c_module_0/data_in<3>_MC.D2 ),
    .O(\i2c_module_0/data_in<3>_MC.D )
  );
  X_ZERO \i2c_module_0/data_in<3>_MC.D1_78  (
    .O(\i2c_module_0/data_in<3>_MC.D1 )
  );
  X_AND2 \i2c_module_0/data_in<3>_MC.D2_79  (
    .I0(\i2c_module_0/data_in [2]),
    .I1(\i2c_module_0/data_in [2]),
    .O(\i2c_module_0/data_in<3>_MC.D2 )
  );
  X_AND2 \i2c_module_0/data_in<3>_MC.CE_80  (
    .I0(\i2c_module_0/shift_data_in ),
    .I1(\i2c_module_0/shift_data_in ),
    .O(\i2c_module_0/data_in<3>_MC.CE )
  );
  X_BUF \i2c_module_0/data_in<4>  (
    .I(\i2c_module_0/data_in<4>_MC.Q ),
    .O(\i2c_module_0/data_in [4])
  );
  X_OR2 \i2c_module_0/data_in<4>_MC_tsimcreated_prld__81  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/data_in<4>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/data_in<4>_MC.REG  (
    .I(\i2c_module_0/data_in<4>_MC.D ),
    .CE(\i2c_module_0/data_in<4>_MC.CE ),
    .CLK(\pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/data_in<4>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/data_in<4>_MC.Q )
  );
  X_XOR2 \i2c_module_0/data_in<4>_MC.D_82  (
    .I0(\i2c_module_0/data_in<4>_MC.D1 ),
    .I1(\i2c_module_0/data_in<4>_MC.D2 ),
    .O(\i2c_module_0/data_in<4>_MC.D )
  );
  X_ZERO \i2c_module_0/data_in<4>_MC.D1_83  (
    .O(\i2c_module_0/data_in<4>_MC.D1 )
  );
  X_AND2 \i2c_module_0/data_in<4>_MC.D2_84  (
    .I0(\i2c_module_0/data_in [3]),
    .I1(\i2c_module_0/data_in [3]),
    .O(\i2c_module_0/data_in<4>_MC.D2 )
  );
  X_AND2 \i2c_module_0/data_in<4>_MC.CE_85  (
    .I0(\i2c_module_0/shift_data_in ),
    .I1(\i2c_module_0/shift_data_in ),
    .O(\i2c_module_0/data_in<4>_MC.CE )
  );
  X_BUF \i2c_module_0/data_in<5>  (
    .I(\i2c_module_0/data_in<5>_MC.Q ),
    .O(\i2c_module_0/data_in [5])
  );
  X_OR2 \i2c_module_0/data_in<5>_MC_tsimcreated_prld__86  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/data_in<5>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/data_in<5>_MC.REG  (
    .I(\i2c_module_0/data_in<5>_MC.D ),
    .CE(\i2c_module_0/data_in<5>_MC.CE ),
    .CLK(\pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/data_in<5>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/data_in<5>_MC.Q )
  );
  X_XOR2 \i2c_module_0/data_in<5>_MC.D_87  (
    .I0(\i2c_module_0/data_in<5>_MC.D1 ),
    .I1(\i2c_module_0/data_in<5>_MC.D2 ),
    .O(\i2c_module_0/data_in<5>_MC.D )
  );
  X_ZERO \i2c_module_0/data_in<5>_MC.D1_88  (
    .O(\i2c_module_0/data_in<5>_MC.D1 )
  );
  X_AND2 \i2c_module_0/data_in<5>_MC.D2_89  (
    .I0(\i2c_module_0/data_in [4]),
    .I1(\i2c_module_0/data_in [4]),
    .O(\i2c_module_0/data_in<5>_MC.D2 )
  );
  X_AND2 \i2c_module_0/data_in<5>_MC.CE_90  (
    .I0(\i2c_module_0/shift_data_in ),
    .I1(\i2c_module_0/shift_data_in ),
    .O(\i2c_module_0/data_in<5>_MC.CE )
  );
  X_BUF \i2c_module_0/data_in<6>  (
    .I(\i2c_module_0/data_in<6>_MC.Q ),
    .O(\i2c_module_0/data_in [6])
  );
  X_OR2 \i2c_module_0/data_in<6>_MC_tsimcreated_prld__91  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/data_in<6>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/data_in<6>_MC.REG  (
    .I(\i2c_module_0/data_in<6>_MC.D ),
    .CE(\i2c_module_0/data_in<6>_MC.CE ),
    .CLK(\pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/data_in<6>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/data_in<6>_MC.Q )
  );
  X_XOR2 \i2c_module_0/data_in<6>_MC.D_92  (
    .I0(\i2c_module_0/data_in<6>_MC.D1 ),
    .I1(\i2c_module_0/data_in<6>_MC.D2 ),
    .O(\i2c_module_0/data_in<6>_MC.D )
  );
  X_ZERO \i2c_module_0/data_in<6>_MC.D1_93  (
    .O(\i2c_module_0/data_in<6>_MC.D1 )
  );
  X_AND2 \i2c_module_0/data_in<6>_MC.D2_94  (
    .I0(\i2c_module_0/data_in [5]),
    .I1(\i2c_module_0/data_in [5]),
    .O(\i2c_module_0/data_in<6>_MC.D2 )
  );
  X_AND2 \i2c_module_0/data_in<6>_MC.CE_95  (
    .I0(\i2c_module_0/shift_data_in ),
    .I1(\i2c_module_0/shift_data_in ),
    .O(\i2c_module_0/data_in<6>_MC.CE )
  );
  X_BUF \i2c_module_0/data_in<7>  (
    .I(\i2c_module_0/data_in<7>_MC.Q ),
    .O(\i2c_module_0/data_in [7])
  );
  X_OR2 \i2c_module_0/data_in<7>_MC_tsimcreated_prld__96  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/data_in<7>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/data_in<7>_MC.REG  (
    .I(\i2c_module_0/data_in<7>_MC.D ),
    .CE(\i2c_module_0/data_in<7>_MC.CE ),
    .CLK(\pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/data_in<7>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/data_in<7>_MC.Q )
  );
  X_XOR2 \i2c_module_0/data_in<7>_MC.D_97  (
    .I0(\i2c_module_0/data_in<7>_MC.D1 ),
    .I1(\i2c_module_0/data_in<7>_MC.D2 ),
    .O(\i2c_module_0/data_in<7>_MC.D )
  );
  X_ZERO \i2c_module_0/data_in<7>_MC.D1_98  (
    .O(\i2c_module_0/data_in<7>_MC.D1 )
  );
  X_AND2 \i2c_module_0/data_in<7>_MC.D2_99  (
    .I0(\i2c_module_0/data_in [6]),
    .I1(\i2c_module_0/data_in [6]),
    .O(\i2c_module_0/data_in<7>_MC.D2 )
  );
  X_AND2 \i2c_module_0/data_in<7>_MC.CE_100  (
    .I0(\i2c_module_0/shift_data_in ),
    .I1(\i2c_module_0/shift_data_in ),
    .O(\i2c_module_0/data_in<7>_MC.CE )
  );
  X_BUF \i2c_module_0/index<1>  (
    .I(\i2c_module_0/index<1>_MC.Q ),
    .O(\i2c_module_0/index [1])
  );
  X_OR2 \i2c_module_0/index<1>_MC_tsimcreated_prld__101  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/index<1>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/index<1>_MC.REG  (
    .I(\i2c_module_0/index<1>_MC.D ),
    .CE(Vcc),
    .CLK(\i2c_module_0/index<1>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/index<1>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/index<1>_MC.Q )
  );
  X_INV \i2c_module_0/index<1>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_102  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\i2c_module_0/index<1>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \i2c_module_0/index<1>_MC.D_103  (
    .I0(\i2c_module_0/index<1>_MC.D1 ),
    .I1(\i2c_module_0/index<1>_MC.D2 ),
    .O(\i2c_module_0/index<1>_MC.D )
  );
  X_ZERO \i2c_module_0/index<1>_MC.D1_104  (
    .O(\i2c_module_0/index<1>_MC.D1 )
  );
  X_AND4 \i2c_module_0/index<1>_MC.D2_PT_0_105  (
    .I0(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_0/IN0 ),
    .I1(\i2c_module_0/index [0]),
    .I2(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_0/IN2 ),
    .I3(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_0/IN3 ),
    .O(\i2c_module_0/index<1>_MC.D2_PT_0 )
  );
  X_AND4 \i2c_module_0/index<1>_MC.D2_PT_1_106  (
    .I0(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_1/IN0 ),
    .I1(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_1/IN1 ),
    .I2(\i2c_module_0/index [1]),
    .I3(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_1/IN3 ),
    .O(\i2c_module_0/index<1>_MC.D2_PT_1 )
  );
  X_AND5 \i2c_module_0/index<1>_MC.D2_PT_2_107  (
    .I0(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_2/IN0 ),
    .I1(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_2/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_2/IN2 ),
    .I3(\i2c_module_0/index [0]),
    .I4(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_2/IN4 ),
    .O(\i2c_module_0/index<1>_MC.D2_PT_2 )
  );
  X_AND5 \i2c_module_0/index<1>_MC.D2_PT_3_108  (
    .I0(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_3/IN0 ),
    .I1(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_3/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_3/IN2 ),
    .I3(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_3/IN3 ),
    .I4(\i2c_module_0/index [1]),
    .O(\i2c_module_0/index<1>_MC.D2_PT_3 )
  );
  X_OR4 \i2c_module_0/index<1>_MC.D2_109  (
    .I0(\i2c_module_0/index<1>_MC.D2_PT_0 ),
    .I1(\i2c_module_0/index<1>_MC.D2_PT_1 ),
    .I2(\i2c_module_0/index<1>_MC.D2_PT_2 ),
    .I3(\i2c_module_0/index<1>_MC.D2_PT_3 ),
    .O(\i2c_module_0/index<1>_MC.D2 )
  );
  X_BUF \i2c_module_0/start_rst_110  (
    .I(\i2c_module_0/start_rst_MC.Q ),
    .O(\i2c_module_0/start_rst )
  );
  X_FF \i2c_module_0/start_rst_MC.REG  (
    .I(\i2c_module_0/start_rst_MC.D ),
    .CE(Vcc),
    .CLK(\i2c_module_0/start_rst_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(PRLD),
    .O(\i2c_module_0/start_rst_MC.Q )
  );
  X_INV \i2c_module_0/start_rst_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_111  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\i2c_module_0/start_rst_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \i2c_module_0/start_rst_MC.D_112  (
    .I0(\i2c_module_0/start_rst_MC.D1 ),
    .I1(\i2c_module_0/start_rst_MC.D2 ),
    .O(\i2c_module_0/start_rst_MC.D )
  );
  X_AND2 \i2c_module_0/start_rst_MC.D1_113  (
    .I0(\i2c_module_0/start ),
    .I1(\i2c_module_0/start ),
    .O(\i2c_module_0/start_rst_MC.D1 )
  );
  X_ZERO \i2c_module_0/start_rst_MC.D2_114  (
    .O(\i2c_module_0/start_rst_MC.D2 )
  );
  X_BUF \i2c_module_0/index<3>  (
    .I(\i2c_module_0/index<3>_MC.Q ),
    .O(\i2c_module_0/index [3])
  );
  X_OR2 \i2c_module_0/index<3>_MC_tsimcreated_prld__115  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/index<3>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/index<3>_MC.REG  (
    .I(\i2c_module_0/index<3>_MC.D ),
    .CE(Vcc),
    .CLK(\i2c_module_0/index<3>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/index<3>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/index<3>_MC.Q )
  );
  X_INV \i2c_module_0/index<3>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_116  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\i2c_module_0/index<3>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \i2c_module_0/index<3>_MC.D_117  (
    .I0(\i2c_module_0/index<3>_MC.D1 ),
    .I1(\i2c_module_0/index<3>_MC.D2 ),
    .O(\i2c_module_0/index<3>_MC.D )
  );
  X_ZERO \i2c_module_0/index<3>_MC.D1_118  (
    .O(\i2c_module_0/index<3>_MC.D1 )
  );
  X_AND5 \i2c_module_0/index<3>_MC.D2_PT_0_119  (
    .I0(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_0/IN0 ),
    .I1(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_0/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_0/IN2 ),
    .I3(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_0/IN3 ),
    .I4(\i2c_module_0/index [3]),
    .O(\i2c_module_0/index<3>_MC.D2_PT_0 )
  );
  X_AND5 \i2c_module_0/index<3>_MC.D2_PT_1_120  (
    .I0(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_1/IN0 ),
    .I1(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_1/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_1/IN2 ),
    .I3(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_1/IN3 ),
    .I4(\i2c_module_0/index [3]),
    .O(\i2c_module_0/index<3>_MC.D2_PT_1 )
  );
  X_AND5 \i2c_module_0/index<3>_MC.D2_PT_2_121  (
    .I0(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_2/IN0 ),
    .I1(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_2/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_2/IN2 ),
    .I3(\i2c_module_0/index [3]),
    .I4(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_2/IN4 ),
    .O(\i2c_module_0/index<3>_MC.D2_PT_2 )
  );
  X_AND5 \i2c_module_0/index<3>_MC.D2_PT_3_122  (
    .I0(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_3/IN0 ),
    .I1(\i2c_module_0/index [0]),
    .I2(\i2c_module_0/index [1]),
    .I3(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_3/IN3 ),
    .I4(\i2c_module_0/index [2]),
    .O(\i2c_module_0/index<3>_MC.D2_PT_3 )
  );
  X_AND6 \i2c_module_0/index<3>_MC.D2_PT_4_123  (
    .I0(\i2c_module_0/present_state [1]),
    .I1(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_4/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_4/IN2 ),
    .I3(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_4/IN3 ),
    .I4(\i2c_module_0/index [3]),
    .I5(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_4/IN5 ),
    .O(\i2c_module_0/index<3>_MC.D2_PT_4 )
  );
  X_AND16 \i2c_module_0/index<3>_MC.D2_PT_5_124  (
    .I0(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN0 ),
    .I1(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN2 ),
    .I3(\i2c_module_0/index [3]),
    .I4(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN4 ),
    .I5(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN5 ),
    .I6(\i2c_module_0/data_in [2]),
    .I7(\i2c_module_0/data_in [3]),
    .I8(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN8 ),
    .I9(\i2c_module_0/data_in [5]),
    .I10(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN10 ),
    .I11(\i2c_module_0/data_in [7]),
    .I12(Vcc),
    .I13(Vcc),
    .I14(Vcc),
    .I15(Vcc),
    .O(\i2c_module_0/index<3>_MC.D2_PT_5 )
  );
  X_OR6 \i2c_module_0/index<3>_MC.D2_125  (
    .I0(\i2c_module_0/index<3>_MC.D2_PT_0 ),
    .I1(\i2c_module_0/index<3>_MC.D2_PT_1 ),
    .I2(\i2c_module_0/index<3>_MC.D2_PT_2 ),
    .I3(\i2c_module_0/index<3>_MC.D2_PT_3 ),
    .I4(\i2c_module_0/index<3>_MC.D2_PT_4 ),
    .I5(\i2c_module_0/index<3>_MC.D2_PT_5 ),
    .O(\i2c_module_0/index<3>_MC.D2 )
  );
  X_BUF \i2c_module_0/index<2>  (
    .I(\i2c_module_0/index<2>_MC.Q ),
    .O(\i2c_module_0/index [2])
  );
  X_XOR2 \i2c_module_0/index<2>_MC_tsimcreated_xor__126  (
    .I0(\i2c_module_0/index<2>_MC.D ),
    .I1(\i2c_module_0/index<2>_MC.Q ),
    .O(\i2c_module_0/index<2>_MC_tsimcreated_xor_ )
  );
  X_OR2 \i2c_module_0/index<2>_MC_tsimcreated_prld__127  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/index<2>_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/index<2>_MC.REG  (
    .I(\i2c_module_0/index<2>_MC_tsimcreated_xor_ ),
    .CE(Vcc),
    .CLK(\i2c_module_0/index<2>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/index<2>_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/index<2>_MC.Q )
  );
  X_INV \i2c_module_0/index<2>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_128  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\i2c_module_0/index<2>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \i2c_module_0/index<2>_MC.D_129  (
    .I0(\i2c_module_0/index<2>_MC.D1 ),
    .I1(\i2c_module_0/index<2>_MC.D2 ),
    .O(\i2c_module_0/index<2>_MC.D )
  );
  X_ZERO \i2c_module_0/index<2>_MC.D1_130  (
    .O(\i2c_module_0/index<2>_MC.D1 )
  );
  X_AND2 \i2c_module_0/index<2>_MC.D2_PT_0_131  (
    .I0(\i2c_module_0/start ),
    .I1(\i2c_module_0/index [2]),
    .O(\i2c_module_0/index<2>_MC.D2_PT_0 )
  );
  X_AND3 \i2c_module_0/index<2>_MC.D2_PT_1_132  (
    .I0(\i2c_module_0/present_state [1]),
    .I1(\i2c_module_0/index [3]),
    .I2(\i2c_module_0/index [2]),
    .O(\i2c_module_0/index<2>_MC.D2_PT_1 )
  );
  X_AND3 \i2c_module_0/index<2>_MC.D2_PT_2_133  (
    .I0(\i2c_module_0/present_state [0]),
    .I1(\i2c_module_0/index [3]),
    .I2(\i2c_module_0/index [2]),
    .O(\i2c_module_0/index<2>_MC.D2_PT_2 )
  );
  X_AND4 \i2c_module_0/index<2>_MC.D2_PT_3_134  (
    .I0(\NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_3/IN0 ),
    .I1(\i2c_module_0/index [0]),
    .I2(\i2c_module_0/index [1]),
    .I3(\NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_3/IN3 ),
    .O(\i2c_module_0/index<2>_MC.D2_PT_3 )
  );
  X_AND5 \i2c_module_0/index<2>_MC.D2_PT_4_135  (
    .I0(\NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_4/IN0 ),
    .I1(\NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_4/IN1 ),
    .I2(\NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_4/IN2 ),
    .I3(\i2c_module_0/index [0]),
    .I4(\i2c_module_0/index [1]),
    .O(\i2c_module_0/index<2>_MC.D2_PT_4 )
  );
  X_OR5 \i2c_module_0/index<2>_MC.D2_136  (
    .I0(\i2c_module_0/index<2>_MC.D2_PT_0 ),
    .I1(\i2c_module_0/index<2>_MC.D2_PT_1 ),
    .I2(\i2c_module_0/index<2>_MC.D2_PT_2 ),
    .I3(\i2c_module_0/index<2>_MC.D2_PT_3 ),
    .I4(\i2c_module_0/index<2>_MC.D2_PT_4 ),
    .O(\i2c_module_0/index<2>_MC.D2 )
  );
  X_BUF \i2c_module_0/latch_data_in_137  (
    .I(\i2c_module_0/latch_data_in_MC.Q ),
    .O(\i2c_module_0/latch_data_in )
  );
  X_OR2 \i2c_module_0/latch_data_in_MC_tsimcreated_prld__138  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/latch_data_in_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/latch_data_in_MC.REG  (
    .I(\i2c_module_0/latch_data_in_MC.D ),
    .CE(Vcc),
    .CLK(\i2c_module_0/latch_data_in_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/latch_data_in_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/latch_data_in_MC.Q )
  );
  X_INV \i2c_module_0/latch_data_in_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_139  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\i2c_module_0/latch_data_in_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \i2c_module_0/latch_data_in_MC.D_140  (
    .I0(\i2c_module_0/latch_data_in_MC.D1 ),
    .I1(\i2c_module_0/latch_data_in_MC.D2 ),
    .O(\i2c_module_0/latch_data_in_MC.D )
  );
  X_AND6 \i2c_module_0/latch_data_in_MC.D1_141  (
    .I0(\i2c_module_0/present_state [1]),
    .I1(\NlwInverterSignal_i2c_module_0/latch_data_in_MC.D1/IN1 ),
    .I2(\i2c_module_0/index [0]),
    .I3(\i2c_module_0/index [1]),
    .I4(\NlwInverterSignal_i2c_module_0/latch_data_in_MC.D1/IN4 ),
    .I5(\i2c_module_0/index [2]),
    .O(\i2c_module_0/latch_data_in_MC.D1 )
  );
  X_ZERO \i2c_module_0/latch_data_in_MC.D2_142  (
    .O(\i2c_module_0/latch_data_in_MC.D2 )
  );
  X_BUF \gpio_output_pins<1>_MC.Q_143  (
    .I(\gpio_output_pins<1>_MC.Q_tsimrenamed_net_ ),
    .O(\gpio_output_pins<1>_MC.Q )
  );
  X_OR2 \gpio_output_pins<1>_MC_tsimcreated_prld__144  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\gpio_output_pins<1>_MC_tsimcreated_prld_ )
  );
  X_FF \gpio_output_pins<1>_MC.REG  (
    .I(\gpio_output_pins<1>_MC.D ),
    .CE(\gpio_output_pins<1>_MC.CE ),
    .CLK(\gpio_output_pins<1>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\gpio_output_pins<1>_MC_tsimcreated_prld_ ),
    .O(\gpio_output_pins<1>_MC.Q_tsimrenamed_net_ )
  );
  X_INV \gpio_output_pins<1>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_145  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\gpio_output_pins<1>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \gpio_output_pins<1>_MC.D_146  (
    .I0(\gpio_output_pins<1>_MC.D1 ),
    .I1(\gpio_output_pins<1>_MC.D2 ),
    .O(\gpio_output_pins<1>_MC.D )
  );
  X_ZERO \gpio_output_pins<1>_MC.D1_147  (
    .O(\gpio_output_pins<1>_MC.D1 )
  );
  X_AND2 \gpio_output_pins<1>_MC.D2_148  (
    .I0(\i2c_module_0/data_in [1]),
    .I1(\i2c_module_0/data_in [1]),
    .O(\gpio_output_pins<1>_MC.D2 )
  );
  X_AND2 \gpio_output_pins<1>_MC.CE_149  (
    .I0(\i2c_module_0/latch_data_in ),
    .I1(\i2c_module_0/latch_data_in ),
    .O(\gpio_output_pins<1>_MC.CE )
  );
  X_BUF \gpio_output_pins<2>_MC.Q_150  (
    .I(\gpio_output_pins<2>_MC.Q_tsimrenamed_net_ ),
    .O(\gpio_output_pins<2>_MC.Q )
  );
  X_OR2 \gpio_output_pins<2>_MC_tsimcreated_prld__151  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\gpio_output_pins<2>_MC_tsimcreated_prld_ )
  );
  X_FF \gpio_output_pins<2>_MC.REG  (
    .I(\gpio_output_pins<2>_MC.D ),
    .CE(\gpio_output_pins<2>_MC.CE ),
    .CLK(\gpio_output_pins<2>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\gpio_output_pins<2>_MC_tsimcreated_prld_ ),
    .O(\gpio_output_pins<2>_MC.Q_tsimrenamed_net_ )
  );
  X_INV \gpio_output_pins<2>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_152  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\gpio_output_pins<2>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \gpio_output_pins<2>_MC.D_153  (
    .I0(\gpio_output_pins<2>_MC.D1 ),
    .I1(\gpio_output_pins<2>_MC.D2 ),
    .O(\gpio_output_pins<2>_MC.D )
  );
  X_ZERO \gpio_output_pins<2>_MC.D1_154  (
    .O(\gpio_output_pins<2>_MC.D1 )
  );
  X_AND2 \gpio_output_pins<2>_MC.D2_155  (
    .I0(\i2c_module_0/data_in [2]),
    .I1(\i2c_module_0/data_in [2]),
    .O(\gpio_output_pins<2>_MC.D2 )
  );
  X_AND2 \gpio_output_pins<2>_MC.CE_156  (
    .I0(\i2c_module_0/latch_data_in ),
    .I1(\i2c_module_0/latch_data_in ),
    .O(\gpio_output_pins<2>_MC.CE )
  );
  X_BUF \gpio_output_pins<3>_MC.Q_157  (
    .I(\gpio_output_pins<3>_MC.Q_tsimrenamed_net_ ),
    .O(\gpio_output_pins<3>_MC.Q )
  );
  X_OR2 \gpio_output_pins<3>_MC_tsimcreated_prld__158  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\gpio_output_pins<3>_MC_tsimcreated_prld_ )
  );
  X_FF \gpio_output_pins<3>_MC.REG  (
    .I(\gpio_output_pins<3>_MC.D ),
    .CE(\gpio_output_pins<3>_MC.CE ),
    .CLK(\gpio_output_pins<3>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\gpio_output_pins<3>_MC_tsimcreated_prld_ ),
    .O(\gpio_output_pins<3>_MC.Q_tsimrenamed_net_ )
  );
  X_INV \gpio_output_pins<3>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_159  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\gpio_output_pins<3>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \gpio_output_pins<3>_MC.D_160  (
    .I0(\gpio_output_pins<3>_MC.D1 ),
    .I1(\gpio_output_pins<3>_MC.D2 ),
    .O(\gpio_output_pins<3>_MC.D )
  );
  X_ZERO \gpio_output_pins<3>_MC.D1_161  (
    .O(\gpio_output_pins<3>_MC.D1 )
  );
  X_AND2 \gpio_output_pins<3>_MC.D2_162  (
    .I0(\i2c_module_0/data_in [3]),
    .I1(\i2c_module_0/data_in [3]),
    .O(\gpio_output_pins<3>_MC.D2 )
  );
  X_AND2 \gpio_output_pins<3>_MC.CE_163  (
    .I0(\i2c_module_0/latch_data_in ),
    .I1(\i2c_module_0/latch_data_in ),
    .O(\gpio_output_pins<3>_MC.CE )
  );
  X_BUF \gpio_output_pins<4>_MC.Q_164  (
    .I(\gpio_output_pins<4>_MC.Q_tsimrenamed_net_ ),
    .O(\gpio_output_pins<4>_MC.Q )
  );
  X_OR2 \gpio_output_pins<4>_MC_tsimcreated_prld__165  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\gpio_output_pins<4>_MC_tsimcreated_prld_ )
  );
  X_FF \gpio_output_pins<4>_MC.REG  (
    .I(\gpio_output_pins<4>_MC.D ),
    .CE(\gpio_output_pins<4>_MC.CE ),
    .CLK(\gpio_output_pins<4>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\gpio_output_pins<4>_MC_tsimcreated_prld_ ),
    .O(\gpio_output_pins<4>_MC.Q_tsimrenamed_net_ )
  );
  X_INV \gpio_output_pins<4>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_166  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\gpio_output_pins<4>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \gpio_output_pins<4>_MC.D_167  (
    .I0(\gpio_output_pins<4>_MC.D1 ),
    .I1(\gpio_output_pins<4>_MC.D2 ),
    .O(\gpio_output_pins<4>_MC.D )
  );
  X_ZERO \gpio_output_pins<4>_MC.D1_168  (
    .O(\gpio_output_pins<4>_MC.D1 )
  );
  X_AND2 \gpio_output_pins<4>_MC.D2_169  (
    .I0(\i2c_module_0/data_in [4]),
    .I1(\i2c_module_0/data_in [4]),
    .O(\gpio_output_pins<4>_MC.D2 )
  );
  X_AND2 \gpio_output_pins<4>_MC.CE_170  (
    .I0(\i2c_module_0/latch_data_in ),
    .I1(\i2c_module_0/latch_data_in ),
    .O(\gpio_output_pins<4>_MC.CE )
  );
  X_BUF \gpio_output_pins<5>_MC.Q_171  (
    .I(\gpio_output_pins<5>_MC.Q_tsimrenamed_net_ ),
    .O(\gpio_output_pins<5>_MC.Q )
  );
  X_OR2 \gpio_output_pins<5>_MC_tsimcreated_prld__172  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\gpio_output_pins<5>_MC_tsimcreated_prld_ )
  );
  X_FF \gpio_output_pins<5>_MC.REG  (
    .I(\gpio_output_pins<5>_MC.D ),
    .CE(\gpio_output_pins<5>_MC.CE ),
    .CLK(\gpio_output_pins<5>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\gpio_output_pins<5>_MC_tsimcreated_prld_ ),
    .O(\gpio_output_pins<5>_MC.Q_tsimrenamed_net_ )
  );
  X_INV \gpio_output_pins<5>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_173  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\gpio_output_pins<5>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \gpio_output_pins<5>_MC.D_174  (
    .I0(\gpio_output_pins<5>_MC.D1 ),
    .I1(\gpio_output_pins<5>_MC.D2 ),
    .O(\gpio_output_pins<5>_MC.D )
  );
  X_ZERO \gpio_output_pins<5>_MC.D1_175  (
    .O(\gpio_output_pins<5>_MC.D1 )
  );
  X_AND2 \gpio_output_pins<5>_MC.D2_176  (
    .I0(\i2c_module_0/data_in [5]),
    .I1(\i2c_module_0/data_in [5]),
    .O(\gpio_output_pins<5>_MC.D2 )
  );
  X_AND2 \gpio_output_pins<5>_MC.CE_177  (
    .I0(\i2c_module_0/latch_data_in ),
    .I1(\i2c_module_0/latch_data_in ),
    .O(\gpio_output_pins<5>_MC.CE )
  );
  X_BUF \gpio_output_pins<6>_MC.Q_178  (
    .I(\gpio_output_pins<6>_MC.Q_tsimrenamed_net_ ),
    .O(\gpio_output_pins<6>_MC.Q )
  );
  X_OR2 \gpio_output_pins<6>_MC_tsimcreated_prld__179  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\gpio_output_pins<6>_MC_tsimcreated_prld_ )
  );
  X_FF \gpio_output_pins<6>_MC.REG  (
    .I(\gpio_output_pins<6>_MC.D ),
    .CE(\gpio_output_pins<6>_MC.CE ),
    .CLK(\gpio_output_pins<6>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\gpio_output_pins<6>_MC_tsimcreated_prld_ ),
    .O(\gpio_output_pins<6>_MC.Q_tsimrenamed_net_ )
  );
  X_INV \gpio_output_pins<6>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_180  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\gpio_output_pins<6>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \gpio_output_pins<6>_MC.D_181  (
    .I0(\gpio_output_pins<6>_MC.D1 ),
    .I1(\gpio_output_pins<6>_MC.D2 ),
    .O(\gpio_output_pins<6>_MC.D )
  );
  X_ZERO \gpio_output_pins<6>_MC.D1_182  (
    .O(\gpio_output_pins<6>_MC.D1 )
  );
  X_AND2 \gpio_output_pins<6>_MC.D2_183  (
    .I0(\i2c_module_0/data_in [6]),
    .I1(\i2c_module_0/data_in [6]),
    .O(\gpio_output_pins<6>_MC.D2 )
  );
  X_AND2 \gpio_output_pins<6>_MC.CE_184  (
    .I0(\i2c_module_0/latch_data_in ),
    .I1(\i2c_module_0/latch_data_in ),
    .O(\gpio_output_pins<6>_MC.CE )
  );
  X_BUF \gpio_output_pins<7>_MC.Q_185  (
    .I(\gpio_output_pins<7>_MC.Q_tsimrenamed_net_ ),
    .O(\gpio_output_pins<7>_MC.Q )
  );
  X_OR2 \gpio_output_pins<7>_MC_tsimcreated_prld__186  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\gpio_output_pins<7>_MC_tsimcreated_prld_ )
  );
  X_FF \gpio_output_pins<7>_MC.REG  (
    .I(\gpio_output_pins<7>_MC.D ),
    .CE(\gpio_output_pins<7>_MC.CE ),
    .CLK(\gpio_output_pins<7>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\gpio_output_pins<7>_MC_tsimcreated_prld_ ),
    .O(\gpio_output_pins<7>_MC.Q_tsimrenamed_net_ )
  );
  X_INV \gpio_output_pins<7>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_187  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\gpio_output_pins<7>_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \gpio_output_pins<7>_MC.D_188  (
    .I0(\gpio_output_pins<7>_MC.D1 ),
    .I1(\gpio_output_pins<7>_MC.D2 ),
    .O(\gpio_output_pins<7>_MC.D )
  );
  X_ZERO \gpio_output_pins<7>_MC.D1_189  (
    .O(\gpio_output_pins<7>_MC.D1 )
  );
  X_AND2 \gpio_output_pins<7>_MC.D2_190  (
    .I0(\i2c_module_0/data_in [7]),
    .I1(\i2c_module_0/data_in [7]),
    .O(\gpio_output_pins<7>_MC.D2 )
  );
  X_AND2 \gpio_output_pins<7>_MC.CE_191  (
    .I0(\i2c_module_0/latch_data_in ),
    .I1(\i2c_module_0/latch_data_in ),
    .O(\gpio_output_pins<7>_MC.CE )
  );
  X_BUF out_en_192 (
    .I(\out_en_MC.Q ),
    .O(out_en)
  );
  X_XOR2 out_en_MC_tsimcreated_xor__193 (
    .I0(\out_en_MC.D ),
    .I1(\out_en_MC.Q ),
    .O(out_en_MC_tsimcreated_xor_)
  );
  X_OR2 out_en_MC_tsimcreated_prld__194 (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(out_en_MC_tsimcreated_prld_)
  );
  X_FF \out_en_MC.REG  (
    .I(out_en_MC_tsimcreated_xor_),
    .CE(Vcc),
    .CLK(\out_en_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(out_en_MC_tsimcreated_prld_),
    .O(\out_en_MC.Q )
  );
  X_INV \out_en_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_195  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\out_en_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \out_en_MC.D_196  (
    .I0(\out_en_MC.D1 ),
    .I1(\out_en_MC.D2 ),
    .O(\out_en_MC.D )
  );
  X_ZERO \out_en_MC.D1_197  (
    .O(\out_en_MC.D1 )
  );
  X_AND3 \out_en_MC.D2_PT_0_198  (
    .I0(out_en),
    .I1(\NlwInverterSignal_out_en_MC.D2_PT_0/IN1 ),
    .I2(\NlwInverterSignal_out_en_MC.D2_PT_0/IN2 ),
    .O(\out_en_MC.D2_PT_0 )
  );
  X_AND7 \out_en_MC.D2_PT_1_199  (
    .I0(out_en),
    .I1(\i2c_module_0/present_state [1]),
    .I2(\i2c_module_0/present_state [0]),
    .I3(\NlwInverterSignal_out_en_MC.D2_PT_1/IN3 ),
    .I4(\NlwInverterSignal_out_en_MC.D2_PT_1/IN4 ),
    .I5(\i2c_module_0/index [3]),
    .I6(\NlwInverterSignal_out_en_MC.D2_PT_1/IN6 ),
    .O(\out_en_MC.D2_PT_1 )
  );
  X_AND16 \out_en_MC.D2_PT_2_200  (
    .I0(\i2c_module_0/data_in [0]),
    .I1(\NlwInverterSignal_out_en_MC.D2_PT_2/IN1 ),
    .I2(\NlwInverterSignal_out_en_MC.D2_PT_2/IN2 ),
    .I3(\NlwInverterSignal_out_en_MC.D2_PT_2/IN3 ),
    .I4(\i2c_module_0/present_state [0]),
    .I5(\i2c_module_0/index [0]),
    .I6(\NlwInverterSignal_out_en_MC.D2_PT_2/IN6 ),
    .I7(\i2c_module_0/index [3]),
    .I8(\NlwInverterSignal_out_en_MC.D2_PT_2/IN8 ),
    .I9(\NlwInverterSignal_out_en_MC.D2_PT_2/IN9 ),
    .I10(\i2c_module_0/data_in [2]),
    .I11(\i2c_module_0/data_in [3]),
    .I12(\NlwInverterSignal_out_en_MC.D2_PT_2/IN12 ),
    .I13(\i2c_module_0/data_in [5]),
    .I14(\NlwInverterSignal_out_en_MC.D2_PT_2/IN14 ),
    .I15(\i2c_module_0/data_in [7]),
    .O(\out_en_MC.D2_PT_2 )
  );
  X_OR3 \out_en_MC.D2_201  (
    .I0(\out_en_MC.D2_PT_0 ),
    .I1(\out_en_MC.D2_PT_1 ),
    .I2(\out_en_MC.D2_PT_2 ),
    .O(\out_en_MC.D2 )
  );
  X_BUF ack_out_202 (
    .I(\ack_out_MC.Q ),
    .O(ack_out)
  );
  X_OR2 ack_out_MC_tsimcreated_prld__203 (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(ack_out_MC_tsimcreated_prld_)
  );
  X_FF \ack_out_MC.REG  (
    .I(\ack_out_MC.D ),
    .CE(Vcc),
    .CLK(\ack_out_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(ack_out_MC_tsimcreated_prld_),
    .O(\ack_out_MC.Q )
  );
  X_INV \ack_out_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_204  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\ack_out_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \ack_out_MC.D_205  (
    .I0(\ack_out_MC.D1 ),
    .I1(\ack_out_MC.D2 ),
    .O(\ack_out_MC.D )
  );
  X_ZERO \ack_out_MC.D1_206  (
    .O(\ack_out_MC.D1 )
  );
  X_AND6 \ack_out_MC.D2_PT_0_207  (
    .I0(\i2c_module_0/present_state [1]),
    .I1(\NlwInverterSignal_ack_out_MC.D2_PT_0/IN1 ),
    .I2(\NlwInverterSignal_ack_out_MC.D2_PT_0/IN2 ),
    .I3(\NlwInverterSignal_ack_out_MC.D2_PT_0/IN3 ),
    .I4(\i2c_module_0/index [3]),
    .I5(\NlwInverterSignal_ack_out_MC.D2_PT_0/IN5 ),
    .O(\ack_out_MC.D2_PT_0 )
  );
  X_AND16 \ack_out_MC.D2_PT_1_208  (
    .I0(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN0 ),
    .I1(\i2c_module_0/present_state [0]),
    .I2(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN2 ),
    .I3(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN3 ),
    .I4(\i2c_module_0/index [3]),
    .I5(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN5 ),
    .I6(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN6 ),
    .I7(\i2c_module_0/data_in [2]),
    .I8(\i2c_module_0/data_in [3]),
    .I9(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN9 ),
    .I10(\i2c_module_0/data_in [5]),
    .I11(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN11 ),
    .I12(\i2c_module_0/data_in [7]),
    .I13(Vcc),
    .I14(Vcc),
    .I15(Vcc),
    .O(\ack_out_MC.D2_PT_1 )
  );
  X_OR2 \ack_out_MC.D2_209  (
    .I0(\ack_out_MC.D2_PT_0 ),
    .I1(\ack_out_MC.D2_PT_1 ),
    .O(\ack_out_MC.D2 )
  );
  X_BUF sda_out_210 (
    .I(\sda_out_MC.Q ),
    .O(sda_out)
  );
  X_FF \sda_out_MC.REG  (
    .I(\sda_out_MC.D ),
    .CE(Vcc),
    .CLK(\sda_out_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(\pld_i2c_rst_II/FSR ),
    .RST(PRLD),
    .O(\sda_out_MC.Q )
  );
  X_INV \sda_out_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_211  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\sda_out_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \sda_out_MC.D_212  (
    .I0(\NlwInverterSignal_sda_out_MC.D/IN0 ),
    .I1(\sda_out_MC.D2 ),
    .O(\sda_out_MC.D )
  );
  X_ZERO \sda_out_MC.D1_213  (
    .O(\sda_out_MC.D1 )
  );
  X_AND2 \sda_out_MC.D2_PT_0_214  (
    .I0(\NlwInverterSignal_sda_out_MC.D2_PT_0/IN0 ),
    .I1(\NlwInverterSignal_sda_out_MC.D2_PT_0/IN1 ),
    .O(\sda_out_MC.D2_PT_0 )
  );
  X_AND6 \sda_out_MC.D2_PT_1_215  (
    .I0(out_en),
    .I1(\i2c_module_0/index [0]),
    .I2(\i2c_module_0/index [1]),
    .I3(\NlwInverterSignal_sda_out_MC.D2_PT_1/IN3 ),
    .I4(\i2c_module_0/index [2]),
    .I5(\NlwInverterSignal_sda_out_MC.D2_PT_1/IN5 ),
    .O(\sda_out_MC.D2_PT_1 )
  );
  X_AND6 \sda_out_MC.D2_PT_2_216  (
    .I0(out_en),
    .I1(\NlwInverterSignal_sda_out_MC.D2_PT_2/IN1 ),
    .I2(\i2c_module_0/index [1]),
    .I3(\NlwInverterSignal_sda_out_MC.D2_PT_2/IN3 ),
    .I4(\i2c_module_0/index [2]),
    .I5(\NlwInverterSignal_sda_out_MC.D2_PT_2/IN5 ),
    .O(\sda_out_MC.D2_PT_2 )
  );
  X_OR3 \sda_out_MC.D2_217  (
    .I0(\sda_out_MC.D2_PT_0 ),
    .I1(\sda_out_MC.D2_PT_1 ),
    .I2(\sda_out_MC.D2_PT_2 ),
    .O(\sda_out_MC.D2 )
  );
  X_AND2 \i2c_module_0/gpio_input<0>_MC.CE_218  (
    .I0(\i2c_module_0/latch_data_out ),
    .I1(\i2c_module_0/latch_data_out ),
    .O(\i2c_module_0/gpio_input<0>_MC.CE )
  );
  X_BUF \i2c_module_0/latch_data_out_219  (
    .I(\i2c_module_0/latch_data_out_MC.Q ),
    .O(\i2c_module_0/latch_data_out )
  );
  X_OR2 \i2c_module_0/latch_data_out_MC_tsimcreated_prld__220  (
    .I0(\pld_i2c_rst_II/FSR ),
    .I1(PRLD),
    .O(\i2c_module_0/latch_data_out_MC_tsimcreated_prld_ )
  );
  X_FF \i2c_module_0/latch_data_out_MC.REG  (
    .I(\i2c_module_0/latch_data_out_MC.D ),
    .CE(Vcc),
    .CLK(\i2c_module_0/latch_data_out_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK ),
    .SET(Gnd),
    .RST(\i2c_module_0/latch_data_out_MC_tsimcreated_prld_ ),
    .O(\i2c_module_0/latch_data_out_MC.Q )
  );
  X_INV \i2c_module_0/latch_data_out_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK_221  (
    .I(\pld_i2c_scl_II/FCLK ),
    .O(\i2c_module_0/latch_data_out_MC.REG_tsimcreated_inv_pld_i2c_scl_II/FCLK )
  );
  X_XOR2 \i2c_module_0/latch_data_out_MC.D_222  (
    .I0(\i2c_module_0/latch_data_out_MC.D1 ),
    .I1(\i2c_module_0/latch_data_out_MC.D2 ),
    .O(\i2c_module_0/latch_data_out_MC.D )
  );
  X_AND7 \i2c_module_0/latch_data_out_MC.D1_223  (
    .I0(\i2c_module_0/data_in [0]),
    .I1(\NlwInverterSignal_i2c_module_0/latch_data_out_MC.D1/IN1 ),
    .I2(\i2c_module_0/present_state [0]),
    .I3(\NlwInverterSignal_i2c_module_0/latch_data_out_MC.D1/IN3 ),
    .I4(\NlwInverterSignal_i2c_module_0/latch_data_out_MC.D1/IN4 ),
    .I5(\i2c_module_0/index [3]),
    .I6(\NlwInverterSignal_i2c_module_0/latch_data_out_MC.D1/IN6 ),
    .O(\i2c_module_0/latch_data_out_MC.D1 )
  );
  X_ZERO \i2c_module_0/latch_data_out_MC.D2_224  (
    .O(\i2c_module_0/latch_data_out_MC.D2 )
  );
  X_AND2 \i2c_module_0/gpio_input<1>_MC.CE_225  (
    .I0(\i2c_module_0/latch_data_out ),
    .I1(\i2c_module_0/latch_data_out ),
    .O(\i2c_module_0/gpio_input<1>_MC.CE )
  );
  X_AND2 \FOOBAR2__ctinst/5_226  (
    .I0(\i2c_module_0/start_rst ),
    .I1(\i2c_module_0/start_rst ),
    .O(\FOOBAR2__ctinst/5 )
  );
  X_INV \NlwInverterBlock_pld_i2c_sda/CTL  (
    .I(\i2c_module_0/data_in<0>_MC.Q ),
    .O(\NlwInverterSignal_pld_i2c_sda/CTL )
  );
  X_INV \NlwInverterBlock_i2c_module_0/data_in<0>_MC.D2_PT_0/IN0  (
    .I(out_en),
    .O(\NlwInverterSignal_i2c_module_0/data_in<0>_MC.D2_PT_0/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/data_in<0>_MC.D2_PT_0/IN1  (
    .I(ack_out),
    .O(\NlwInverterSignal_i2c_module_0/data_in<0>_MC.D2_PT_0/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/data_in<0>_MC.D2_PT_1/IN0  (
    .I(ack_out),
    .O(\NlwInverterSignal_i2c_module_0/data_in<0>_MC.D2_PT_1/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_0/IN0  (
    .I(\i2c_module_0/shift_data_in ),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_0/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_1/IN0  (
    .I(\i2c_module_0/shift_data_in ),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_1/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_1/IN2  (
    .I(\i2c_module_0/present_state [0]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_1/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_2/IN1  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_2/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_2/IN2  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_2/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_2/IN3  (
    .I(\i2c_module_0/present_state [0]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_2/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_3/IN1  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_3/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_3/IN3  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_3/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_3/IN4  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_3/IN4 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_3/IN6  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_3/IN6 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_4/IN1  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_4/IN2  (
    .I(\i2c_module_0/present_state [0]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_4/IN3  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_4/IN4  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN4 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_4/IN6  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_4/IN6 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_5/IN0  (
    .I(\i2c_module_0/data_in [0]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_5/IN1  (
    .I(\i2c_module_0/shift_data_in ),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_5/IN2  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_5/IN3  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_5/IN6  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN6 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_5/IN8  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN8 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_5/IN9  (
    .I(\i2c_module_0/data_in [1]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN9 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_5/IN12  (
    .I(\i2c_module_0/data_in [4]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN12 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/shift_data_in_MC.D2_PT_5/IN14  (
    .I(\i2c_module_0/data_in [6]),
    .O(\NlwInverterSignal_i2c_module_0/shift_data_in_MC.D2_PT_5/IN14 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<1>_MC.D2_PT_0/IN1  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_0/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<1>_MC.D2_PT_0/IN2  (
    .I(\i2c_module_0/index [3]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_0/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<1>_MC.D2_PT_1/IN1  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_1/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<1>_MC.D2_PT_1/IN2  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_1/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<1>_MC.D2_PT_1/IN3  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_1/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<1>_MC.D2_PT_1/IN4  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_1/IN4 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<1>_MC.D2_PT_2/IN0  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<1>_MC.D2_PT_2/IN1  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<1>_MC.D2_PT_2/IN4  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN4 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<1>_MC.D2_PT_2/IN6  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN6 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<1>_MC.D2_PT_2/IN7  (
    .I(\i2c_module_0/data_in [1]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN7 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<1>_MC.D2_PT_2/IN10  (
    .I(\i2c_module_0/data_in [4]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN10 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<1>_MC.D2_PT_2/IN12  (
    .I(\i2c_module_0/data_in [6]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<1>_MC.D2_PT_2/IN12 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<0>_MC.D/IN0  (
    .I(\i2c_module_0/index<0>_MC.D1 ),
    .O(\NlwInverterSignal_i2c_module_0/index<0>_MC.D/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<0>_MC.D2_PT_0/IN0  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_0/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<0>_MC.D2_PT_0/IN2  (
    .I(\i2c_module_0/index [3]),
    .O(\NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_0/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<0>_MC.D2_PT_1/IN0  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_1/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<0>_MC.D2_PT_1/IN1  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_1/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<0>_MC.D2_PT_1/IN2  (
    .I(\i2c_module_0/present_state [0]),
    .O(\NlwInverterSignal_i2c_module_0/index<0>_MC.D2_PT_1/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_1/IN1  (
    .I(\i2c_module_0/index [3]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_1/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_2/IN2  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_2/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_2/IN3  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_2/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_2/IN4  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_2/IN4 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_3/IN1  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_3/IN2  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_3/IN3  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_3/IN4  (
    .I(\i2c_module_0/data_in [1]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN4 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_3/IN7  (
    .I(\i2c_module_0/data_in [4]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN7 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_3/IN9  (
    .I(\i2c_module_0/data_in [6]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_3/IN9 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_4/IN1  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_4/IN3  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_4/IN4  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN4 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_4/IN5  (
    .I(\i2c_module_0/data_in [1]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN5 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_4/IN8  (
    .I(\i2c_module_0/data_in [4]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN8 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/present_state<0>_MC.D2_PT_4/IN10  (
    .I(\i2c_module_0/data_in [6]),
    .O(\NlwInverterSignal_i2c_module_0/present_state<0>_MC.D2_PT_4/IN10 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_0/IN0  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_0/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_0/IN2  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_0/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_0/IN3  (
    .I(\i2c_module_0/index [3]),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_0/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_1/IN0  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_1/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_1/IN1  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_1/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_1/IN3  (
    .I(\i2c_module_0/index [3]),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_1/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_2/IN0  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_2/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_2/IN1  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_2/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_2/IN2  (
    .I(\i2c_module_0/present_state [0]),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_2/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_2/IN4  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_2/IN4 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_3/IN0  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_3/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_3/IN1  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_3/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_3/IN2  (
    .I(\i2c_module_0/present_state [0]),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_3/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<1>_MC.D2_PT_3/IN3  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_i2c_module_0/index<1>_MC.D2_PT_3/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_0/IN0  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_0/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_0/IN1  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_0/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_0/IN2  (
    .I(\i2c_module_0/present_state [0]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_0/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_0/IN3  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_0/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_1/IN0  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_1/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_1/IN1  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_1/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_1/IN2  (
    .I(\i2c_module_0/present_state [0]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_1/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_1/IN3  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_1/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_2/IN0  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_2/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_2/IN1  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_2/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_2/IN2  (
    .I(\i2c_module_0/present_state [0]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_2/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_2/IN4  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_2/IN4 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_3/IN0  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_3/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_3/IN3  (
    .I(\i2c_module_0/index [3]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_3/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_4/IN1  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_4/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_4/IN2  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_4/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_4/IN3  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_4/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_4/IN5  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_4/IN5 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_5/IN0  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_5/IN1  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_5/IN2  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_5/IN4  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN4 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_5/IN5  (
    .I(\i2c_module_0/data_in [1]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN5 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_5/IN8  (
    .I(\i2c_module_0/data_in [4]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN8 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<3>_MC.D2_PT_5/IN10  (
    .I(\i2c_module_0/data_in [6]),
    .O(\NlwInverterSignal_i2c_module_0/index<3>_MC.D2_PT_5/IN10 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<2>_MC.D2_PT_3/IN0  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_3/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<2>_MC.D2_PT_3/IN3  (
    .I(\i2c_module_0/index [3]),
    .O(\NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_3/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<2>_MC.D2_PT_4/IN0  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_4/IN0 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<2>_MC.D2_PT_4/IN1  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_4/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/index<2>_MC.D2_PT_4/IN2  (
    .I(\i2c_module_0/present_state [0]),
    .O(\NlwInverterSignal_i2c_module_0/index<2>_MC.D2_PT_4/IN2 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/latch_data_in_MC.D1/IN1  (
    .I(\i2c_module_0/present_state [0]),
    .O(\NlwInverterSignal_i2c_module_0/latch_data_in_MC.D1/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/latch_data_in_MC.D1/IN4  (
    .I(\i2c_module_0/index [3]),
    .O(\NlwInverterSignal_i2c_module_0/latch_data_in_MC.D1/IN4 )
  );
  X_INV \NlwInverterBlock_out_en_MC.D2_PT_0/IN1  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_out_en_MC.D2_PT_0/IN1 )
  );
  X_INV \NlwInverterBlock_out_en_MC.D2_PT_0/IN2  (
    .I(\i2c_module_0/present_state [0]),
    .O(\NlwInverterSignal_out_en_MC.D2_PT_0/IN2 )
  );
  X_INV \NlwInverterBlock_out_en_MC.D2_PT_1/IN3  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_out_en_MC.D2_PT_1/IN3 )
  );
  X_INV \NlwInverterBlock_out_en_MC.D2_PT_1/IN4  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_out_en_MC.D2_PT_1/IN4 )
  );
  X_INV \NlwInverterBlock_out_en_MC.D2_PT_1/IN6  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_out_en_MC.D2_PT_1/IN6 )
  );
  X_INV \NlwInverterBlock_out_en_MC.D2_PT_2/IN1  (
    .I(out_en),
    .O(\NlwInverterSignal_out_en_MC.D2_PT_2/IN1 )
  );
  X_INV \NlwInverterBlock_out_en_MC.D2_PT_2/IN2  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_out_en_MC.D2_PT_2/IN2 )
  );
  X_INV \NlwInverterBlock_out_en_MC.D2_PT_2/IN3  (
    .I(\i2c_module_0/start ),
    .O(\NlwInverterSignal_out_en_MC.D2_PT_2/IN3 )
  );
  X_INV \NlwInverterBlock_out_en_MC.D2_PT_2/IN6  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_out_en_MC.D2_PT_2/IN6 )
  );
  X_INV \NlwInverterBlock_out_en_MC.D2_PT_2/IN8  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_out_en_MC.D2_PT_2/IN8 )
  );
  X_INV \NlwInverterBlock_out_en_MC.D2_PT_2/IN9  (
    .I(\i2c_module_0/data_in [1]),
    .O(\NlwInverterSignal_out_en_MC.D2_PT_2/IN9 )
  );
  X_INV \NlwInverterBlock_out_en_MC.D2_PT_2/IN12  (
    .I(\i2c_module_0/data_in [4]),
    .O(\NlwInverterSignal_out_en_MC.D2_PT_2/IN12 )
  );
  X_INV \NlwInverterBlock_out_en_MC.D2_PT_2/IN14  (
    .I(\i2c_module_0/data_in [6]),
    .O(\NlwInverterSignal_out_en_MC.D2_PT_2/IN14 )
  );
  X_INV \NlwInverterBlock_ack_out_MC.D2_PT_0/IN1  (
    .I(\i2c_module_0/present_state [0]),
    .O(\NlwInverterSignal_ack_out_MC.D2_PT_0/IN1 )
  );
  X_INV \NlwInverterBlock_ack_out_MC.D2_PT_0/IN2  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_ack_out_MC.D2_PT_0/IN2 )
  );
  X_INV \NlwInverterBlock_ack_out_MC.D2_PT_0/IN3  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_ack_out_MC.D2_PT_0/IN3 )
  );
  X_INV \NlwInverterBlock_ack_out_MC.D2_PT_0/IN5  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_ack_out_MC.D2_PT_0/IN5 )
  );
  X_INV \NlwInverterBlock_ack_out_MC.D2_PT_1/IN0  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN0 )
  );
  X_INV \NlwInverterBlock_ack_out_MC.D2_PT_1/IN2  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN2 )
  );
  X_INV \NlwInverterBlock_ack_out_MC.D2_PT_1/IN3  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN3 )
  );
  X_INV \NlwInverterBlock_ack_out_MC.D2_PT_1/IN5  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN5 )
  );
  X_INV \NlwInverterBlock_ack_out_MC.D2_PT_1/IN6  (
    .I(\i2c_module_0/data_in [1]),
    .O(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN6 )
  );
  X_INV \NlwInverterBlock_ack_out_MC.D2_PT_1/IN9  (
    .I(\i2c_module_0/data_in [4]),
    .O(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN9 )
  );
  X_INV \NlwInverterBlock_ack_out_MC.D2_PT_1/IN11  (
    .I(\i2c_module_0/data_in [6]),
    .O(\NlwInverterSignal_ack_out_MC.D2_PT_1/IN11 )
  );
  X_INV \NlwInverterBlock_sda_out_MC.D/IN0  (
    .I(\sda_out_MC.D1 ),
    .O(\NlwInverterSignal_sda_out_MC.D/IN0 )
  );
  X_INV \NlwInverterBlock_sda_out_MC.D2_PT_0/IN0  (
    .I(out_en),
    .O(\NlwInverterSignal_sda_out_MC.D2_PT_0/IN0 )
  );
  X_INV \NlwInverterBlock_sda_out_MC.D2_PT_0/IN1  (
    .I(sda_out),
    .O(\NlwInverterSignal_sda_out_MC.D2_PT_0/IN1 )
  );
  X_INV \NlwInverterBlock_sda_out_MC.D2_PT_1/IN3  (
    .I(\i2c_module_0/index [3]),
    .O(\NlwInverterSignal_sda_out_MC.D2_PT_1/IN3 )
  );
  X_INV \NlwInverterBlock_sda_out_MC.D2_PT_1/IN5  (
    .I(\i2c_module_0/gpio_input [0]),
    .O(\NlwInverterSignal_sda_out_MC.D2_PT_1/IN5 )
  );
  X_INV \NlwInverterBlock_sda_out_MC.D2_PT_2/IN1  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_sda_out_MC.D2_PT_2/IN1 )
  );
  X_INV \NlwInverterBlock_sda_out_MC.D2_PT_2/IN3  (
    .I(\i2c_module_0/index [3]),
    .O(\NlwInverterSignal_sda_out_MC.D2_PT_2/IN3 )
  );
  X_INV \NlwInverterBlock_sda_out_MC.D2_PT_2/IN5  (
    .I(\i2c_module_0/gpio_input [1]),
    .O(\NlwInverterSignal_sda_out_MC.D2_PT_2/IN5 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/latch_data_out_MC.D1/IN1  (
    .I(\i2c_module_0/present_state [1]),
    .O(\NlwInverterSignal_i2c_module_0/latch_data_out_MC.D1/IN1 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/latch_data_out_MC.D1/IN3  (
    .I(\i2c_module_0/index [0]),
    .O(\NlwInverterSignal_i2c_module_0/latch_data_out_MC.D1/IN3 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/latch_data_out_MC.D1/IN4  (
    .I(\i2c_module_0/index [1]),
    .O(\NlwInverterSignal_i2c_module_0/latch_data_out_MC.D1/IN4 )
  );
  X_INV \NlwInverterBlock_i2c_module_0/latch_data_out_MC.D1/IN6  (
    .I(\i2c_module_0/index [2]),
    .O(\NlwInverterSignal_i2c_module_0/latch_data_out_MC.D1/IN6 )
  );
    
   X_PU X_PU1     	
   (
       	.O (pld_i2c_sda)
	);

endmodule

